<?php

Yii::import('application.models._base.BaseFrecuenciaEnlace');

class FrecuenciaEnlace extends BaseFrecuenciaEnlace
{
    /**
     * @return FrecuenciaEnlace
     */
    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'Frecuencia de Enlace|Frecuencia de Enlace', $n);
    }
    
    public function renderAnios($data,$row)
     {
          // ... generate the output for a full address
 
          // Params:
          // $data ... the current row data   
         // $row ... the row index
        $anios = FrecuenciaEnlaceAnios::model()->findAll('idFrecuenciaEnlace=:idFrecuenciaEnlace ORDER BY Anio DESC LIMIT 5',array(':idFrecuenciaEnlace'=>$data->idFrecuenciaEnlace));
        $cadena=array();
        foreach ($anios as $anio){
            array_push($cadena, $anio->Anio);
        }
        if(count($cadena)>0){
            return implode('|',$cadena);
        }else{
            return 'Aún no hay ninguno agregado';
        }
    }

}