<?php
/** @var AweActiveForm $form */
$form = $this->beginWidget('bootstrap.widgets.TbActiveForm', array(
	'action' => Yii::app()->createUrl($this->route),
	'method' => 'get',
)); ?>

<?php echo $form->textFieldRow($model, 'id', array('class' => 'span5')); ?>

<?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'))); ?>

<?php echo $form->textFieldRow($model, 'Acreditacion', array('class' => 'span5', 'maxlength' => 17)); ?>

<?php echo $form->textFieldRow($model, 'OficioAutorizacion', array('class' => 'span5', 'maxlength' => 45)); ?>

<?php //echo $form->datepickerRow($model, 'FechaAutorizacion', array('prepend'=>'<i class="icon-calendar"></i>')); ?>
<label for="AcreditacionDocumentacionTecnicaAM_FechaAutorizacion">Fecha de Autorización</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'name'=>'FechaAutorizacion',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>

<?php echo $form->textFieldRow($model, 'EscritoPresentacion', array('class' => 'span5', 'maxlength' => 45)); ?>

<?php //echo $form->datepickerRow($model, 'FechaPresentacion', array('prepend'=>'<i class="icon-calendar"></i>')); ?>
<label for="AcreditacionDocumentacionTecnicaAM_FechaPresentacion">Fecha de Presentación</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'name'=>'FechaPresentacion',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>

<?php echo $form->textFieldRow($model, 'SctOficio', array('class' => 'span5', 'maxlength' => 45)); ?>

<?php //echo $form->datepickerRow($model, 'SctFecha', array('prepend'=>'<i class="icon-calendar"></i>')); ?>
<label for="AcreditacionDocumentacionTecnicaAM_SctFecha">Fecha de registro en Ifetel</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'name'=>'SctFecha',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>

<div class="form-actions">
    <?php $this->widget('bootstrap.widgets.TbButton', array(
			'type' => 'primary',
			'label' => Yii::t('AweCrud.app', 'Search'),
		)); ?>
</div>

<?php $this->endWidget(); ?>
