<?php
/** @var AcreditacionDocumentacionTecnicaAM $model */
?>

<fieldset id="borraradtam<?php echo $model->id ?>">
    <legend> <?php
$this->widget('bootstrap.widgets.TbButton', array(
    'label' => 'Actualizar',
    'type' => 'info', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
    'size' => 'mini', // null, 'large', 'small' or 'mini'
    'icon' => 'icon-pencil icon-white',
    'url' => array('acreditacionDocumentacionTecnicaAM/update', 'id' => $model->id),
));
?> <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'buttonType' => 'ajaxLink',
            'icon' => 'icon-trash icon-white',
            'label' => 'Eliminar',
            'type' => 'danger', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
            'size' => 'mini', // null, 'large', 'small' or 'mini'
            'url' => array('acreditacionDocumentacionTecnicaAM/delete', 'id' => $model->id, 'ajax' => 'frecuencia'),
            'ajaxOptions' => array(
                'type' => 'POST',
                'success' => 'function(data){
                $("#mensaje-adtam' . $model->id . '").html(data);
                $("#mensaje-adtam' . $model->id . '").fadeIn();
                if(data.length==0){
                    $("#borraradtam' . $model->id . '").remove();                    
                }
            }',
            ),
        ));
        ?></legend>
    <div class="alert alert-error" id="mensaje-adtam<?php echo $model->id ?>" style="display:none">

    </div>


    <?php
    $this->widget('bootstrap.widgets.TbDetailView', array(
        'data' => $model,
        'attributes' => array(
            //'id',
            array(
                'name' => 'idEstacion',
                'value' => ($model->idEstacion0 !== null) ? $model->idEstacion0 . ' ' : null,
                'type' => 'html',
            ),
            'Acreditacion',
            'OficioAutorizacion',
            'FechaAutorizacion',
            'EscritoPresentacion',
            'FechaPresentacion',
            'SctOficio',
            'SctFecha',
        ),
    ));
    ?>

    <?php
        $losarchivos = new Archivos('search');
        $losarchivos->idRelacionado = $model->id;
        $losarchivos->tipo = "acreeditaciondocumentaciontecnicaam";
        $this->widget('bootstrap.widgets.TbGridView', array(
            'dataProvider' => $losarchivos->search(),
            //'filter'=>$losarchivos,
            'summaryText'=>'Archivos adjuntos <i class="icon-folder-open"></i>',
            'emptyText' => '',
            'type' => 'striped',
            'enableSorting' => false,
            'enablePagination' => false,
            'showTableOnEmpty' => false,
            'htmlOptions' => array('class'=>'archivos span6 offset2'),
            'columns' => array(
                array(
                    'name' => 'titulo',
                    'header' => 'Titulo',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."acreeditaciondocumentaciontecnicaam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'name' => 'descripcion',
                    'header' => 'Descripción',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."acreeditaciondocumentaciontecnicaam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'class' => 'bootstrap.widgets.TbButtonColumn',
                    'template' => '{delete}',
                    'buttons' => array
                        (
                        'view' => array
                            (
                            'label' => 'Descargar',
                            'icon' => 'eye-open',
                            'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."acreeditaciondocumentaciontecnicaam_".$data->idRelacionado."/".$data->source',
                            'options' => array('target' => '_blank'),
                        ),
                        'delete' => array
                            (
                            'label' => 'Eliminar',
                            'icon' => 'trash',
                            'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                            'options' => array('class' => 'eliminar-archivo'),
                        ),
                    ), //buttons
                ), //array
            ), //columns
        )); //widget
    ?>

</fieldset>