<div class="form">
    <?php
    /** @var AreaTecnicaFM $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
        'id' => 'area-tecnica-fm-form',
        'enableAjaxValidation' => true,
        'enableClientValidation' => false,
    ));

    if (!$model->isNewRecord) {
        Yii::app()->clientScript->registerScript('areatecnicafm-formulario-update', "
        
        
        
        $('#typeahead').val($('#AreaTecnicaFM_idEstacion option:selected').text());
        

        ");
    } else {
        Yii::app()->clientScript->registerScript('areatecnicafm-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#AreaTecnicaFM_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

    <?php
    /*
      $estaciones = Estaciones::model()->findAll();
      $estaciones_array = array();
      $siglas = array();
      echo "<script type='text/javascript'>
      var estaciones = new Array();";
      foreach ($estaciones as $estacion){
      $estaciones_array[$estacion->Siglas]=$estacion->idEstacion;
      echo "estaciones[\"".$estacion->Siglas."\"]=".$estacion->idEstacion.";";
      array_push($siglas,$estacion->Siglas);
      }
      echo "</script>";
      ?>
      <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'),'style'=>'display:none')) ?>

      <?php $this->widget('bootstrap.widgets.TbTypeahead', array(
      'name'=>'typeahead',
      'htmlOptions'=>array('autocomplete'=>'off'),
      'options'=>array(
      'source'=>$siglas,
      'items'=>15,
      'updater'=> "js:function (item) {
      selectedState = item;
      //alert(estaciones[item]);

      $('#AreaTecnicaFM_idEstacion option').eq(estaciones[item]).attr('selected',true);

      return item;
      }",
      'matcher'=>"js:function(item) {
      return ~item.toLowerCase().indexOf(this.query.toLowerCase());
      }",
      ),
      ));
     * 
     */

    if ($model->isNewRecord) {
        echo $form->hiddenField($model, 'idEstacion', array('value' => $estacion->idEstacion));
    } else {
        echo $form->hiddenField($model, 'idEstacion');
    }
    ?>

    <?php echo $form->textFieldRow($model, 'PotenciaRadiadaAparente', array('class' => '', 'append' => 'kW')) ?>
    <?php echo $form->textFieldRow($model, 'PotenciaOperacion', array('class' => '', 'append' => 'kW')) ?>
    <?php echo $form->textFieldRow($model, 'PotenciaNominal', array('class' => '', 'append' => 'kW')) ?>
    <?php echo $form->textFieldRow($model, 'AlturaCentroElectrico', array('class' => '', 'append' => 'Mts')) ?>
    <?php echo $form->textFieldRow($model, 'AlturaObstaculo', array('class' => '', 'append' => 'Mts')) ?>
    <?php echo $form->textFieldRow($model, 'AlturaPromedio', array('class' => '', 'append' => 'Mts')) ?>
    <?php echo $form->textFieldRow($model, 'Multiplex', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'ClaseEstacion', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'TecnicoResponsable', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'AntenaMarca', array('class' => 'span5', 'maxlength' => 60)) ?>
    <?php echo $form->textFieldRow($model, 'AntenaModelo', array('class' => 'span5', 'maxlength' => 60)) ?>
    <?php echo $form->textFieldRow($model, 'GananciaAntenaPotencia', array('class' => 'span5', 'maxlength' => 60)) ?>
    <?php echo $form->textFieldRow($model, 'GananciaAntenaDB', array('class' => 'span5', 'append' => 'dB')) ?>
    <?php echo $form->textFieldRow($model, 'LineaTransmisionMarca', array('class' => 'span5', 'maxlength' => 60)) ?>
    <?php echo $form->textFieldRow($model, 'LineaTransmisionModelo', array('class' => 'span5', 'maxlength' => 60)) ?>
    <?php echo $form->textFieldRow($model, 'LineaTransmisionMetros', array('class' => 'span5', 'append' => 'Mts')) ?>
    <?php echo $form->textFieldRow($model, 'PerdidaLineaPorcentaje', array('class' => 'span5', 'append' => '%')) ?>
    <?php echo $form->textFieldRow($model, 'PerdidaLineaDb', array('class' => 'span5', 'append' => 'dB')) ?>
    <?php echo $form->textFieldRow($model, 'AsnmMetros', array('class' => 'span5', 'append' => 'Mts')) ?>
    <?php //echo $form->textAreaRow($model, 'Condicion', array('class' => '')) ?>
    <?php //echo $form->textAreaRow($model, 'Observaciones', array('class' => '')) ?>
    <?php //echo $form->textFieldRow($model, 'RegistroCofetel', array('class' => '')) ?>
    <div class="form-actions">
        <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'buttonType' => 'submit',
            'type' => 'primary',
            'label' => $model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
        ));
        ?>
        <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            //'buttonType'=>'submit',
            'label' => Yii::t('AweCrud.app', 'Cancel'),
            'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
        ));
        ?>
    </div>

    <?php $this->endWidget(); ?>

    <?php
    if (!$model->isNewRecord) {
        $losarchivos = new Archivos('search');
        $losarchivos->idRelacionado = $model->id;
        $losarchivos->tipo = "areatecnicafm";
        $this->widget('bootstrap.widgets.TbGridView', array(
            'dataProvider' => $losarchivos->search(),
            //'filter'=>$losarchivos,
            'summaryText' => 'Archivos adjuntos',
            'emptyText' => '',
            'type' => 'striped',
            'enableSorting' => false,
            'enablePagination' => false,
            'showTableOnEmpty' => false,
            'columns' => array(
                array(
                    'name' => 'titulo',
                    'header' => 'Titulo',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicafm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'name' => 'descripcion',
                    'header' => 'Descripci0700n',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicafm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'class' => 'bootstrap.widgets.TbButtonColumn',
                    'template' => '{delete}',
                    'buttons' => array
                        (
                        'view' => array
                            (
                            'label' => 'Descargar',
                            'icon' => 'eye-open',
                            'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicafm_".$data->idRelacionado."/".$data->source',
                            'options' => array('target' => '_blank'),
                        ),
                        'delete' => array
                            (
                            'label' => 'Eliminar',
                            'icon' => 'trash',
                            'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                            'options' => array('class' => 'eliminar-archivo'),
                        ),
                    ), //buttons
                ), //array
            ), //columns
        )); //widget
    }
    ?>

</div>