<?php /** @var Cofetel $model */
/*
$this->breadcrumbs=array(
	'Cofetels'=>array('index'),
	$model->id,
);

$this->menu=array(
    //array('label' => Yii::t('AweCrud.app', 'List').' '.Cofetel::label(2), 'icon' => 'list', 'url' => array('index')),
    array('label' => Yii::t('AweCrud.app', 'Create').' Cofetel', 'icon' => 'plus', 'url' => array('create')),
	array('label' => Yii::t('AweCrud.app', 'Update'), 'icon' => 'pencil', 'url' => array('update', 'id' => $model->id)),
    array('label' => Yii::t('AweCrud.app', 'Delete'), 'icon' => 'trash', 'url' => '#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->id), 'confirm' => Yii::t('AweCrud.app', 'Are you sure you want to delete this item?'))),
    array('label' => Yii::t('AweCrud.app', 'Manage'), 'icon' => 'list-alt', 'url' => array('admin')),
);
 * 
 */
?>

<fieldset id="borrarcofetel<?php echo $model->id ?>">
    <legend> <?php $this->widget('bootstrap.widgets.TbButton', array(
    'label'=>'Actualizar',
    'type'=>'info', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
    'size'=>'mini', // null, 'large', 'small' or 'mini'
    'icon'=>'icon-pencil icon-white',
    'url'=>array('cofetel/update','id' => $model->id),
)); ?> <?php $this->widget('bootstrap.widgets.TbButton', array(
    'buttonType'=>'ajaxLink',
    'icon'=>'icon-trash icon-white',
    'label'=>'Eliminar',
    'type'=>'danger', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
    'size'=>'mini', // null, 'large', 'small' or 'mini'
    'url'=>array('cofetel/delete','id' => $model->id,'ajax'=>'frecuencia'),
    'ajaxOptions'=>array(
        'type'=>'POST',
        'success'=>'function(data){
                $("#mensaje-cofetel'.$model->id.'").html(data);
                $("#mensaje-cofetel'.$model->id.'").fadeIn();
                if(data.length==0){
                    $("#borrarcofetel'.$model->id.'").fadeOut();                    
                }
            }',
     ),
        )); ?></legend>
    <div class="alert alert-error" id="mensaje-cofetel<?php echo $model->id ?>" style="display:none">
    
    </div>
<?php 

if($model->Tipo=="Escrito"){
$this->widget('bootstrap.widgets.TbDetailView',array(
	'data' => $model,
        'type' => 'condensed',
	'attributes' => array(
        //'id',
        array(
			'name'=>'idEstacion',
			'value'=>($model->idEstacion0 !== null) ? $model->idEstacion0.' ' : null,
			'type'=>'html',
		),
        'Tipo',
        'Numero',
        'Fecha',
        'Solicita',
        //'Asunto',
        'Observaciones',
        //'Plazo',
        //'HabilesNaturales',
        //'Vence',
	),
)); 
}
if($model->Tipo=="Oficio" || $model->Tipo=="Solicitud" || $model->Tipo=="Visita"){
$this->widget('bootstrap.widgets.TbDetailView',array(
	'data' => $model,
        'type' => 'condensed',
	'attributes' => array(
        //'id',
        array(
			'name'=>'idEstacion',
			'value'=>($model->idEstacion0 !== null) ? $model->idEstacion0.' ' : null,
			'type'=>'html',
		),
        'Tipo',
        'Numero',
        'Fecha',
        //'Solicita',
        'Asunto',
        'Observaciones',
        //'Plazo',
        //'Vence',
	),
)); 
}
if($model->Tipo=="Plazo"){
    
if($model->Plazo>0){
    $diasInhabiles = CalendarioDescanso::model()->findAll();
    $fechasInhabiles = Array();
    foreach($diasInhabiles as $dia){
        array_push($fechasInhabiles, $dia->Fecha);
    }
    
    $t = strtotime($model->Fecha);

    // loop for X days
    for($i=0; $i<$model->Plazo; $i++){

        // add 1 day to timestamp
        $addDay = 86400;

        // get what day it is next day
        $nextDay = date('w', ($t+$addDay));
        $fechaActual = date("Y-m-d", ($t+$addDay));

        // if it's Saturday or Sunday get $i-1
        if($nextDay == 0 || $nextDay == 6) {
            $i--;
        }
        if(in_array($fechaActual, $fechasInhabiles)){
            $i--;
        }

        // modify timestamp, add 1 day
        $t = $t+$addDay;
    }

    

    $model->Vence = date("Y-m-d", $t);
    
}
    
$this->widget('bootstrap.widgets.TbDetailView',array(
	'data' => $model,
        'type' => 'condensed',
	'attributes' => array(
        //'id',
        array(
			'name'=>'idEstacion',
			'value'=>($model->idEstacion0 !== null) ? $model->idEstacion0.' ' : null,
			'type'=>'html',
		),
        'Tipo',
        'Fecha',
        //'Solicita',
        'Asunto',
        //'Observaciones',
        'Plazo',
        'Vence',
	),
)); 
}

$losarchivos = new Archivos('search');
$losarchivos->idRelacionado = $model->id;
$losarchivos->tipo = "cofetel";
$this->widget('bootstrap.widgets.TbGridView', array(
    'dataProvider' => $losarchivos->search(),
    //'filter'=>$losarchivos,
    'summaryText'=>'Archivos adjuntos <i class="icon-folder-open"></i>',
    'emptyText' => '',
    'type' => 'striped',
    'enableSorting' => false,
    'enablePagination' => false,
    'showTableOnEmpty' => false,
    'htmlOptions' => array('class'=>'archivos span6 offset2'),
    'columns' => array(
        array(
            'name' => 'titulo',
            'header' => 'Titulo',
            'type' => 'raw',
            'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."cofetel_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
        ),
        array(
            'name' => 'descripcion',
            'header' => 'Descripción',
            'type' => 'raw',
            'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."cofetel_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
        ),
        array(
            'class' => 'bootstrap.widgets.TbButtonColumn',
            'template' => '{delete}',
            'buttons' => array
                (
                'view' => array
                    (
                    'label' => 'Descargar',
                    'icon' => 'eye-open',
                    'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."cofetel_".$data->idRelacionado."/".$data->source',
                    'options' => array('target' => '_blank'),
                ),
                'delete' => array
                    (
                    'label' => 'Eliminar',
                    'icon' => 'trash',
                    'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                    'options' => array('class' => 'eliminar-archivo'),
                ),
            ), //buttons
        ), //array
    ), //columns
)); //widget

?>
</fieldset>