<?php /** @var TransmisoresAM $model */
$this->breadcrumbs=array(
	'Reportes'=>array('estaciones/reportes'),
	Yii::t('AweCrud.app', 'Manage'),
);

$this->menu=array(
	//array('label' => Yii::t('AweCrud.app', 'List') . ' ' . TransmisoresAM::label(2), 'icon' => 'list', 'url' => array('index')),
	array('label' => Yii::t('AweCrud.app', 'Create') . ' TransmisoresAM', 'icon' => 'plus', 'url' => array('create')),
);
/*
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('transmisores-am-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
 * 
 */
?>

<fieldset>
    <legend>
        Reporte <?php echo TransmisoresAM::label(2) ?>    </legend>

<?php //echo CHtml::link('<i class="icon-search"></i> ' . Yii::t('AweCrud.app', 'Advanced Search'), '#', array('class' => 'search-button btn')) ?>
<div class="search-form" style="display:none">
<?php //$this->renderPartial('_search',array('model' => $model,)); ?>
</div><!-- search-form -->

<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'transmisores-am-grid',
    'type' => 'striped condensed',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'id',
        /*array(
                    'name' => 'idEstacion',
                    'value' => 'isset($data->idEstacion0) ? $data->idEstacion0 : null',
                    'filter' => CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()),
                ),*/
        array(
                    'name' => 'PlazaSearch',
                    'value' => 'isset($data->idEstacion0->idPlaza) ? $data->idEstacion0->idPlaza0->Nombre: null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(), 'idPlaza', 'Nombre'),
                ),
        array(
                    'name' => 'EstadoSearch',
                    'value' => 'isset($data->idEstacion0->idEstado0) ? $data->idEstacion0->idEstado0->Estado : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(), 'idEstado', 'Estado'),
                ),
        array(
            'header'=>'Siglas',
            'value'=>'$data->idEstacion0->Siglas',
        ),
        array(
            'header'=>'Frecuencia',
            'value'=>'($data->idEstacion0->Banda=="AM")?$data->idEstacion0->Frecuencia." Khz":$data->idEstacion0->Frecuencia." Mhz"',
        ),
        'Modalidad',
        'Marca',
        'Modelo',
        'Serie',
        array(
            'name'=>'PotenciaDiurna',
            'value'=>'$data->PotenciaDiurna." Kw"',
            ),
        array(
            'name'=>'PotenciaNocturna',
            'value'=>'$data->PotenciaNocturna." Kw"',
            ),
        array (
            'name'=>'TensionDiurna',
            'value'=>'$data->TensionDiurna." V"',
            ),
        array(
            'name'=>'CorrienteDiurna',
            'value'=>'$data->CorrienteDiurna." A"',
            ),
        array(
        'name'=>'EficienciaDiurna',
            'value'=>'$data->EficienciaDiurna ." %"',
            ),
        array (
            'name'=>'TensionNocturna',
            'value'=>'$data->TensionNocturna." V"',
            ),
        array(
            'name'=>'CorrienteNocturna',
            'value'=>'$data->CorrienteNocturna." A"',
            ),
        array(
        'name'=>'EficienciaNocturna',
            'value'=>'$data->EficienciaNocturna ." %"',
            ),
        
        
        
        /*
		array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
		),
         * 
         */
	),
)); ?>
</fieldset>