<?php /** @var TransmisoresFM $model */
$this->breadcrumbs=array(
	$model->label(2)=>array('index'),
	Yii::t('AweCrud.app', 'Manage'),
);

$this->menu=array(
	//array('label' => Yii::t('AweCrud.app', 'List') . ' ' . TransmisoresFM::label(2), 'icon' => 'list', 'url' => array('index')),
	array('label' => Yii::t('AweCrud.app', 'Create') . ' '.$model->label(2), 'icon' => 'plus', 'url' => array('create')),
);

/*
Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('transmisores-fm-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
 * 
 */
?>

<fieldset>
    <legend>
        <?php echo Yii::t('AweCrud.app', 'Manage') ?> <?php echo $model->label(2); ?>    </legend>

<?php //echo CHtml::link('<i class="icon-search"></i> ' . Yii::t('AweCrud.app', 'Advanced Search'), '#', array('class' => 'search-button btn')) ?>
<div class="search-form" style="display:none">
<?php //$this->renderPartial('_search',array('model' => $model,)); ?>
</div><!-- search-form -->

<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'transmisores-fm-grid',
    'type' => 'striped condensed',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'id',
        array(
                    'name' => 'PlazaSearch',
                    'value' => 'isset($data->idEstacion0->idPlaza) ? $data->idEstacion0->idPlaza0->Nombre: null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(), 'idPlaza', 'Nombre'),
                ),
        array(
                    'name' => 'EstadoSearch',
                    'value' => 'isset($data->idEstacion0->idEstado0) ? $data->idEstacion0->idEstado0->Estado : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(), 'idEstado', 'Estado'),
                ),
        array(
            'header'=>'Siglas',
            'value'=>'$data->idEstacion0->Siglas',
        ),
        array(
            'header'=>'Frecuencia',
            'value'=>'($data->idEstacion0->Banda=="AM")?$data->idEstacion0->Frecuencia:$data->idEstacion0->Frecuencia." Mhz"',
        ),
        'Modalidad',
        'Marca',
        'Modelo',
        'Serie',
        array(
            'name'=>'Potencia',
            'value'=>'$data->Potencia." Kw"',
            ),
        array (
            'name'=>'Tension',
            'value'=>'$data->Tension." V"',
            ),
        array(
            'name'=>'Corriente',
            'value'=>'$data->Corriente." A"',
            ),
        array(
        'name'=>'Eficiencia',
            'value'=>'$data->Eficiencia ." %"',
            ),
        
	
	),
)); ?>
</fieldset>