<?php /** @var Estaciones $model */
/*$this->breadcrumbs=array(
	'Estaciones'=>array('admin'),
	$model->Siglas,
);*/

$this->menu=array(
    //array('label' => Yii::t('AweCrud.app', 'List').' '.Estaciones::label(2), 'icon' => 'list', 'url' => array('index')),
    array('label' => Yii::t('AweCrud.app', 'Todas las estaciones'), 'icon' => 'list-alt', 'url' => array('admin')),
    array('label' => Yii::t('AweCrud.app', 'Create').' Estacion', 'icon' => 'plus', 'url' => array('create')),
    array('label' => Yii::t('AweCrud.app', 'Update'), 'icon' => 'pencil', 'url' => array('update', 'id' => $model->idEstacion)),
    array('label' => Yii::t('AweCrud.app', 'Delete'), 'icon' => 'trash', 'url' => '#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->idEstacion), 'confirm' => Yii::t('AweCrud.app', 'Are you sure you want to delete this item?'))),
    
);

?>

<?php if(Yii::app()->user->hasFlash('anio-create')):?>
    <?php
        $this->widget('bootstrap.widgets.TbAlert', array(
            'block'=>true, // display a larger alert block?
            'fade'=>true, // use transitions?
            'closeText'=>'&times;', // close link text - if set to false, no close link is displayed
            'alerts'=>array( // configurations per alert type
                'anio-create'=>array('block'=>true, 'fade'=>true, 'closeText'=>'&times;'), // success, info, warning, error or danger
            ),
        ));
    ?>
<?php endif; ?>

<fieldset id="borrarestaciones<?php echo $model->idEstacion ?>">
     <?php $this->widget('bootstrap.widgets.TbButton', array(
    'label'=>'Actualizar',
    'type'=>'info', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
    'size'=>'mini', // null, 'large', 'small' or 'mini'
    'icon'=>'icon-pencil icon-white',
    'url'=>array('estaciones/update','id' => $model->idEstacion),
)); ?> <?php $this->widget('bootstrap.widgets.TbButton', array(
    'buttonType'=>'ajaxLink',
    'icon'=>'icon-trash icon-white',
    'label'=>'Eliminar',
    'type'=>'danger', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
    'size'=>'mini', // null, 'large', 'small' or 'mini'
    'url'=>array('estaciones/delete','id' => $model->idEstacion,'ajax'=>'frecuencia'),
    'ajaxOptions'=>array(
        'type'=>'POST',
        'success'=>'function(data){
                $("#mensaje-estaciones'.$model->idEstacion.'").html(data);
                $("#mensaje-estaciones'.$model->idEstacion.'").fadeIn().delay(2000).fadeOut();
                if(data.length==0){
                    $("#borrarestaciones'.$model->idEstacion.'").empty();
                    $("#borrarestaciones'.$model->idEstacion.'").html("<div class=\"alert\"><button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button><strong>Warning!</strong>.</div>");
                }
            }',
     ),
        )); ?>
    <div class="alert alert-error" id="mensaje-estaciones<?php echo $model->idEstacion ?>" style="display:none">
    
    </div>
    <legend class="titulo-naranja"><?php echo $model->RazonSocial; ?></legend>

<?php $this->widget('bootstrap.widgets.TbDetailView',array(
	'data' => $model,
        'type' => 'striped',
	'attributes' => array(
        //'idEstacion',
        array(
            'name'=>'Siglas',
            'value'=> $model->Siglas." ".$model->Banda,
        ),
        //'Concesionaria',
        'RazonSocial',
        array(
            'name'=>'Frecuencia',
            'value'=>($model->Banda=="AM")?$model->Frecuencia." Khz":$model->Frecuencia." Mhz",
        ),		
        array(
			'name'=>'idPlaza',
			'value'=>($model->idPlaza !== null) ? $model->idPlaza0->Nombre.'' : null,
			'type'=>'html',
		),
         array(
             'name'=>'Estado',
             'value'=>($model->idEstado !== null) ? $model->idEstado0->Estado.'' : null,
         ),   
        //'idEstacionMasters.idPlaza0.Nombre',    
        //'idEstacionMasters.Siglas',
        //'idEstacionMasters.RazonSocial',
        //'idEstacionMasters.Banda',
        /*array(
			'name'=>'idEstado',
			'value'=>($model->idEstado0 !== null) ? $model->idEstado0.' ' : null,
			'type'=>'html',
		),*/
        //'idEstacionMasters.idPlaza0.estado.Estado',
        //'Poblacion',
        'UbicacionEstudios',
        'CoordenadasEstudios',
        'UbicacionEstudiosAuxiliares',
        'CoordenadasEstudiosAuxiliares',
        'UbicacionPlanta',
        'CoordenadasPlanta',
        'CiudadPrincipalServir',
        'PlantaTransmisoraEmergente'
	),
)); ?>
    
    <?php
    
            $losarchivos = new Archivos('search');
            $losarchivos->idRelacionado = $model->idEstacion;
            $losarchivos->tipo = "estacion";
            $this->widget('bootstrap.widgets.TbGridView', array(
                'dataProvider'=>$losarchivos->search(),
                //'filter'=>$losarchivos,
                'summaryText'=>'Archivos adjuntos <i class="icon-folder-open"></i>',
                'emptyText' => '',
                'type'=>'striped',
                'enableSorting' => false,
                'enablePagination' => false,
                'showTableOnEmpty' => false,
                'htmlOptions' => array('class'=>'archivos span6 offset3'),
                'columns'=>array(
                    array(
                        'name' => 'titulo',
                        'header' => 'Tipo',
                        'type' => 'raw',
                        'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."estacion_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                     ),
                    array(
                        'name' => 'descripcion',
                        'header' => 'Descripción',
                        'type' => 'raw',
                        'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."estacion_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                     ),
                    array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{delete}',
                        'buttons'=>array
                        (
                            'view' => array
                            (
                                'label'=>'Descargar',
                                'icon' => 'eye-open',
                                'url'=>'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."estacion_".$data->idRelacionado."/".$data->source',
                                'options'=>array('target'=>'_blank'),
                            ),
                            'delete' => array
                            (
                                'label'=>'Eliminar',
                                'icon' => 'trash',
                                'url'=>'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                                'options'=>array('class'=>'eliminar-archivo'),
                            ),
                        ),//buttons
                    ),//array
                ),//columns
            ));//widget
    
    ?>
    
</fieldset>

<legend>Información Técnica</legend>
<fieldset>
    <?php $this->widget('bootstrap.widgets.TbTabs', array(
        'placement'=>'left',
        'tabs'=>$this->getTabularFormTabs2($model),
)); ?>
</fieldset>
<!--
<h4>Inventarios</h4>
<hr>
<fieldset>
    <?php $this->widget('bootstrap.widgets.TbTabs', array(
        'placement'=>'right',
        'tabs'=>$this->getTabularFormTabs3($model),
)); ?>
</fieldset>
-->