<div class="form">
    <?php /** @var Observaciones $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'observaciones-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    Yii::app()->clientScript->registerCoreScript('jquery.ui', CClientScript::POS_HEAD);
    Yii::app()->clientScript->registerScript(
                'observaciones-formulario-create', 
                "$('.prioridad-combo').click(function() {
                $('#Observaciones_Prioridad').val($(this).text());
                });
    ");
    
    ?>

    
    
    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                        <?php
                        if ($model->isNewRecord) {
                            echo $form->hiddenField($model, 'idEstacion', array('value' => $estacion->idEstacion));
                        } else {
                            echo $form->hiddenField($model, 'idEstacion');
                        }
                        ?>
                        <?php //echo $form->datepickerRow($model, 'Fecha', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <!-- <label for="Observaciones_Fecha">Fecha</label><i class="icon-calendar"></i> -->
                        <?php /*
                        $this->widget('zii.widgets.jui.CJuiDatePicker', array(
                            'model' => $model,
                            //'name'=>'Fecha',
                            'attribute' => 'Fecha',
                            // additional javascript options for the date picker plugin
                            'options' => array(
                                'showAnim' => 'fold',
                                'dateFormat' => 'yy-mm-dd',
                            ),
                            'htmlOptions' => array(
                                'style' => 'height:20px;'
                            ),
                        )); */
                        ?>
                        <?php //echo $form->textFieldRow($model, 'Prioridad', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <label for="Observaciones_Prioridad" class="required">Prioridad </label>
                        <?php echo $form->hiddenField($model, 'Prioridad') ?>
                        <?php
                        $this->widget('bootstrap.widgets.TbButtonGroup', array(
                            'type' => 'primary',
                            'toggle' => 'radio', // 'checkbox' or 'radio'
                            'buttons' => array(
                                array('label' => 'Alta', 'htmlOptions' => array('class' => 'prioridad-combo'), 'active' => $model->Prioridad == "Alta" ? true : false),
                                array('label' => 'Media', 'htmlOptions' => array('class' => 'prioridad-combo'), 'active' => $model->Prioridad == "Media" ? true : false),
                                array('label' => 'Baja', 'htmlOptions' => array('class' => 'prioridad-combo'), 'active' => $model->Prioridad == "Baja" ? true : false),                                
                            ),
                        ));
                        ?>
                        <?php echo $form->textAreaRow($model,'Observacion',array('rows'=>6, 'cols'=>50, 'class'=>'span8')) ?>
                        <?php //echo $form->datepickerRow($model, 'PlazoInterno', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <label for="Observaciones_PlazoInterno">Fecha límite</label><i class="icon-calendar"></i>
                        <?php
                        $this->widget('zii.widgets.jui.CJuiDatePicker', array(
                            'model' => $model,
                            //'name'=>'Fecha',
                            'attribute' => 'PlazoInterno',
                            // additional javascript options for the date picker plugin
                            'options' => array(
                                'showAnim' => 'fold',
                                'dateFormat' => 'yy-mm-dd',
                            ),
                            'htmlOptions' => array(
                                'style' => 'height:20px;'
                            ),
                        ));
                        ?>
                        <?php echo $form->textFieldRow($model, 'Status', array('class' => 'span5', 'maxlength' => 255)) ?>
                        
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
</div>