<div class="form">
    <?php
    /** @var TransmisoresAM $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
        'id' => 'transmisores-am-form',
        'enableAjaxValidation' => true,
        'enableClientValidation' => false,
    ));

    if (!$model->isNewRecord) {
        Yii::app()->clientScript->registerScript('transmisoresam-formulario-update', "
        
        
        
        $('#typeahead').val($('#TransmisoresAM_idEstacion option:selected').text());
        

        ");
    } else {
        Yii::app()->clientScript->registerScript('transmisoresam-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#TransmisoresAM_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>


    <?php
    if ($model->isNewRecord) {
        echo $form->hiddenField($model, 'idEstacion', array('value' => $estacion->idEstacion));
    } else {
        echo $form->hiddenField($model, 'idEstacion');
    }
    ?>
    <?php echo $form->textFieldRow($model, 'Modalidad', array('class' => 'span5')) ?>
    <?php echo $form->textFieldRow($model, 'Marca', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'Modelo', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'Serie', array('class' => 'span5', 'maxlength' => 255)) ?>
    <?php echo $form->textFieldRow($model, 'PotenciaDiurna', array('class' => '', 'append' => 'kW')) ?>
    <?php echo $form->textFieldRow($model, 'TensionDiurna', array('class' => '', 'append' => 'V')) ?>
    <?php echo $form->textFieldRow($model, 'CorrienteDiurna', array('class' => '', 'append' => 'A')) ?>
    <?php echo $form->textFieldRow($model, 'EficienciaDiurna', array('class' => '', 'append' => '%')) ?>
    <?php echo $form->textFieldRow($model, 'PotenciaNocturna', array('class' => '', 'append' => 'kW')) ?>
    <?php echo $form->textFieldRow($model, 'TensionNocturna', array('class' => '', 'append' => 'V')) ?>
    <?php echo $form->textFieldRow($model, 'CorrienteNocturna', array('class' => '', 'append' => 'A')) ?>
    <?php echo $form->textFieldRow($model, 'EficienciaNocturna', array('class' => '', 'append' => '%')) ?>
    <?php echo $form->textAreaRow($model, 'Condicion', array('class' => 'span5')) ?>
    <?php echo $form->textAreaRow($model, 'Observaciones', array('class' => 'span5')) ?>
    <?php echo $form->textFieldRow($model, 'RegistroCofetel', array('class' => 'span5')) ?>
    <div class="form-actions">
        <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'buttonType' => 'submit',
            'type' => 'primary',
            'label' => $model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
        ));
        ?>
        <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            //'buttonType'=>'submit',
            'label' => Yii::t('AweCrud.app', 'Cancel'),
            'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
        ));
        ?>
    </div>

<?php $this->endWidget(); ?>
<?php
    if (!$model->isNewRecord) {
        $losarchivos = new Archivos('search');
        $losarchivos->idRelacionado = $model->id;
        $losarchivos->tipo = "transmisoresam";
        $this->widget('bootstrap.widgets.TbGridView', array(
            'dataProvider' => $losarchivos->search(),
            //'filter'=>$losarchivos,
            'summaryText' => 'Archivos adjuntos',
            'emptyText' => '',
            'type' => 'striped',
            'enableSorting' => false,
            'enablePagination' => false,
            'showTableOnEmpty' => false,
            'columns' => array(
                array(
                    'name' => 'titulo',
                    'header' => 'Titulo',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'name' => 'descripcion',
                    'header' => 'Descripción',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'class' => 'bootstrap.widgets.TbButtonColumn',
                    'template' => '{delete}',
                    'buttons' => array
                        (
                        'view' => array
                            (
                            'label' => 'Descargar',
                            'icon' => 'eye-open',
                            'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresam_".$data->idRelacionado."/".$data->source',
                            'options' => array('target' => '_blank'),
                        ),
                        'delete' => array
                            (
                            'label' => 'Eliminar',
                            'icon' => 'trash',
                            'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                            'options' => array('class' => 'eliminar-archivo'),
                        ),
                    ), //buttons
                ), //array
            ), //columns
        )); //widget
    }
?>
</div>