<?php
/** @var TransmisoresFM $model */
/* $this->breadcrumbs=array(
  'Transmisores Fms'=>array('index'),
  $model->id,
  );

  $this->menu=array(
  //array('label' => Yii::t('AweCrud.app', 'List').' '.TransmisoresFM::label(2), 'icon' => 'list', 'url' => array('index')),
  array('label' => Yii::t('AweCrud.app', 'Create').' TransmisoresFM', 'icon' => 'plus', 'url' => array('create')),
  array('label' => Yii::t('AweCrud.app', 'Update'), 'icon' => 'pencil', 'url' => array('update', 'id' => $model->id)),
  array('label' => Yii::t('AweCrud.app', 'Delete'), 'icon' => 'trash', 'url' => '#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->id), 'confirm' => Yii::t('AweCrud.app', 'Are you sure you want to delete this item?'))),
  array('label' => Yii::t('AweCrud.app', 'Manage'), 'icon' => 'list-alt', 'url' => array('admin')),
  );
 * 
 */
?>

<fieldset id="borrartransmisorfm<?php echo $model->id ?>">
    <legend> <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'label' => 'Actualizar',
            'type' => 'info', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
            'size' => 'mini', // null, 'large', 'small' or 'mini'
            'icon' => 'icon-pencil icon-white',
            //AKIII
            'url' => array('transmisoresFM/update', 'id' => $model->id),
        ));
        ?> <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'buttonType' => 'ajaxLink',
            'icon' => 'icon-trash icon-white',
            'label' => 'Eliminar',
            'type' => 'danger', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
            'size' => 'mini', // null, 'large', 'small' or 'mini'
            //AKIII
            'url' => array('transmisoresFM/delete', 'id' => $model->id, 'ajax' => 'frecuencia'),
            'ajaxOptions' => array(
                'type' => 'POST',
                'success' => 'function(data){
                $("#mensaje-transmisorfm' . $model->id . '").html(data);
                $("#mensaje-transmisorfm' . $model->id . '").fadeIn();
                if(data.length==0){
                    $("#borrartransmisorfm' . $model->id . '").remove();                    
                }
            }',
            ),
        ));
        ?></legend>
    <div class="alert alert-error" id="mensaje-transmisorfm<?php echo $model->id ?>" style="display:none">

    </div>

    <?php
    $this->widget('bootstrap.widgets.TbDetailView', array(
        'data' => $model,
        'type' => 'condensed',
        'attributes' => array(
            //'id',
            array(
                'name' => 'idEstacion',
                'value' => ($model->idEstacion0 !== null) ? $model->idEstacion0 . ' ' : null,
                'type' => 'html',
            ),
            'Modalidad',
            'Marca',
            'Modelo',
            'Serie',
            array(
                'name' => 'Potencia',
                'value' => $model->Potencia . ' kW',
            ),
            array(
                'name' => 'Tension',
                'value' => $model->Tension . ' V',
            ),
            array(
                'name' => 'Corriente',
                'value' => $model->Corriente . ' A',
            ),
            array(
                'name' => 'Eficiencia',
                'value' => $model->Eficiencia . ' %',
            ),
            'Condiciones',
            'Observaciones',
            'RegistroCofetel',
        ),
    ));

    $losarchivos = new Archivos('search');
    $losarchivos->idRelacionado = $model->id;
    $losarchivos->tipo = "transmisoresfm";
    $this->widget('bootstrap.widgets.TbGridView', array(
        'dataProvider' => $losarchivos->search(),
        //'filter'=>$losarchivos,
        'summaryText' => 'Archivos adjuntos <i class="icon-folder-open"></i>',
        'emptyText' => '',
        'type' => 'striped',
        'enableSorting' => false,
        'enablePagination' => false,
        'showTableOnEmpty' => false,
        'htmlOptions' => array('class' => 'archivos span6 offset2'),
        'columns' => array(
            array(
                'name' => 'titulo',
                'header' => 'Titulo',
                'type' => 'raw',
                'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
            ),
            array(
                'name' => 'descripcion',
                'header' => 'Descripción',
                'type' => 'raw',
                'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
            ),
            array(
                'class' => 'bootstrap.widgets.TbButtonColumn',
                'template' => '{delete}',
                'buttons' => array
                    (
                    'view' => array
                        (
                        'label' => 'Descargar',
                        'icon' => 'eye-open',
                        'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source',
                        'options' => array('target' => '_blank'),
                    ),
                    'delete' => array
                        (
                        'label' => 'Eliminar',
                        'icon' => 'trash',
                        'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                        'options' => array('class' => 'eliminar-archivo'),
                    ),
                ), //buttons
            ), //array
        ), //columns
    )); //widget
    ?>
</fieldset>