<?php

class ReportesController extends Controller
{
        
        public $layout = '//layouts/column2b';
    
	public function actionIndex()
	{
		$this->layout = '//layouts/column1';
		$model = new Estaciones('search');
		$model->unsetAttributes(); // clear any default values
		if(isset($_GET['Estaciones']))
			$model->attributes = $_GET['Estaciones'];
                
                if (isset($_GET['export'])) {
                    $production = 'export';
                } else {
                    $production = 'grid';
                }
                
		$this->render('estaciones', array(
			'model' => $model,
                        'production' => $production,
		));
	}
        
        public function actionExcel($id)
        {
                /*$html2pdf = Yii::app()->ePdf->HTML2PDF();
                $html2pdf->pdf->setDisplayMode('fullpage');
                $html2pdf->WriteHTML($this->renderPartial('view', array('model' => $this->loadModel($id)), true));
                $html2pdf->Output('prueba.pdf');
                  */
                 
               
                $this->layout = '//layouts/column1';
		$this->render('estacionpdf', array(
			'model' => $this->loadModel($id),
		));
               
        }
        
        public function actionEstacionPdf($id)
        {
                $html2pdf = Yii::app()->ePdf->HTML2PDF();
                $html2pdf->pdf->setDisplayMode('fullpage');
                $html2pdf->WriteHTML($this->renderPartial('estacionpdf', array('model' => $this->loadModel($id)), true));
                $html2pdf->Output('prueba.pdf');
                  
                 
               /*
                $this->layout = '//layouts/column1';
		$this->render('view', array(
			'model' => $this->loadModel($id),
		));
               */
        }
        public function actionTransmisoresAM()
	{
		$this->layout = '//layouts/column1';
		$model = new TransmisoresAM('search');
		$model->unsetAttributes(); // clear any default values
		if(isset($_GET['TransmisoresAM']))
			$model->attributes = $_GET['TransmisoresAM'];
                
                if (isset($_GET['export'])) {
                    $production = 'export';
                } else {
                    $production = 'grid';
                }
                
		$this->render('transmisoresam', array(
			'model' => $model,
                        'production' => $production,
		));
	}
        public function actionTransmisoresAMPdf($id)
        {
                $html2pdf = Yii::app()->ePdf->HTML2PDF();
                $html2pdf->pdf->setDisplayMode('fullpage');
                $model = TransmisoresAM::model()->findByPk($id);
                $html2pdf->WriteHTML($this->renderPartial('transmisoresampdf', array('model' => $model), true));
                $html2pdf->Output('prueba.pdf');
                  
                 
               /*
                $this->layout = '//layouts/column1';
		$this->render('view', array(
			'model' => $this->loadModel($id),
		));
               */
        }
        public function actionTransmisoresFM()
	{
		$this->layout = '//layouts/column1';
		$model = new TransmisoresFM('search');
		$model->unsetAttributes(); // clear any default values
		if(isset($_GET['TransmisoresFM']))
			$model->attributes = $_GET['TransmisoresFM'];
                
                if (isset($_GET['export'])) {
                    $production = 'export';
                } else {
                    $production = 'grid';
                }
                
		$this->render('transmisoresfm', array(
			'model' => $model,
                        'production' => $production,
		));
	}
        public function actionTransmisoresFMPdf($id)
        {
                $html2pdf = Yii::app()->ePdf->HTML2PDF();
                $html2pdf->pdf->setDisplayMode('fullpage');
                $model = TransmisoresFM::model()->findByPk($id);
                $html2pdf->WriteHTML($this->renderPartial('transmisoresfmpdf', array('model' => $model), true));
                $html2pdf->Output('prueba.pdf');
                  
                 
               /*
                $this->layout = '//layouts/column1';
		$this->render('view', array(
			'model' => $this->loadModel($id),
		));
               */
        }
        public function actionIfetel()
	{
		$this->layout = '//layouts/column1';
		$model = new Cofetel('search');
		$model->unsetAttributes(); // clear any default values
		if(isset($_GET['Cofetel']))
			$model->attributes = $_GET['Cofetel'];
                
                if (isset($_GET['export'])) {
                    $production = 'export';
                } else {
                    $production = 'grid';
                }
                
		$this->render('ifetel', array(
			'model' => $model,
                        'production' => $production,
		));
	}
        public function actionIfetelPdf($id)
        {
                $html2pdf = Yii::app()->ePdf->HTML2PDF();
                $html2pdf->pdf->setDisplayMode('fullpage');
                $model = Cofetel::model()->findByPk($id);
                $html2pdf->WriteHTML($this->renderPartial('ifetelpdf', array('model' => $model), true));
                $html2pdf->Output('prueba.pdf');
                  
                 
               /*
                $this->layout = '//layouts/column1';
		$this->render('view', array(
			'model' => $this->loadModel($id),
		));
               */
        }
        
        public function loadModel($id, $modelClass=__CLASS__)
	{
		$model = Estaciones::model()->findByPk($id);
		if($model === null)
			throw new CHttpException(404,'The requested page does not exist.');
		return $model;
	}
        
	// Uncomment the following methods and override them if needed
	/*
	public function filters()
	{
		// return the filter configuration for this controller, e.g.:
		return array(
			'inlineFilterName',
			array(
				'class'=>'path.to.FilterClass',
				'propertyName'=>'propertyValue',
			),
		);
	}

	public function actions()
	{
		// return external action classes, e.g.:
		return array(
			'action1'=>'path.to.ActionClass',
			'action2'=>array(
				'class'=>'path.to.AnotherActionClass',
				'propertyName'=>'propertyValue',
			),
		);
	}
	*/
}