<?php
/** @var AreaTecnicaAM $model */
/*
  $this->breadcrumbs=array(
  'Area Tecnica Ams'=>array('index'),
  $model->id,
  );

  $this->menu=array(
  //array('label' => Yii::t('AweCrud.app', 'List').' '.AreaTecnicaAM::label(2), 'icon' => 'list', 'url' => array('index')),
  array('label' => Yii::t('AweCrud.app', 'Create').' AreaTecnicaAM', 'icon' => 'plus', 'url' => array('create')),
  array('label' => Yii::t('AweCrud.app', 'Update'), 'icon' => 'pencil', 'url' => array('update', 'id' => $model->id)),
  array('label' => Yii::t('AweCrud.app', 'Delete'), 'icon' => 'trash', 'url' => '#', 'linkOptions' => array('submit' => array('delete', 'id' => $model->id), 'confirm' => Yii::t('AweCrud.app', 'Are you sure you want to delete this item?'))),
  array('label' => Yii::t('AweCrud.app', 'Manage'), 'icon' => 'list-alt', 'url' => array('admin')),
  );
 * 
 */
?>

<fieldset id="borraratam<?php echo $model->id ?>">
    <legend> <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'label' => 'Actualizar',
            'type' => 'info', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
            'size' => 'mini', // null, 'large', 'small' or 'mini'
            'icon' => 'icon-pencil icon-white',
            'url' => array('areaTecnicaAM/update', 'id' => $model->id),
        ));
        ?> <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            'buttonType' => 'ajaxLink',
            'icon' => 'icon-trash icon-white',
            'label' => 'Eliminar',
            'type' => 'danger', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
            'size' => 'mini', // null, 'large', 'small' or 'mini'
            'url' => array('areaTecnicaAM/delete', 'id' => $model->id, 'ajax' => 'frecuencia'),
            'ajaxOptions' => array(
                'type' => 'POST',
                'success' => 'function(data){
                $("#mensaje-atam' . $model->id . '").html(data);
                $("#mensaje-atam' . $model->id . '").fadeIn();
                if(data.length==0){
                    $("#borraratam' . $model->id . '").remove();                    
                }
            }',
            ),
        ));
        ?></legend>
    <div class="alert alert-error" id="mensaje-atam<?php echo $model->id ?>" style="display:none">

    </div>

    <?php
    $this->widget('bootstrap.widgets.TbDetailView', array(
        'data' => $model,
        'type' => 'condensed',
        'attributes' => array(
            //'id',
            array(
                'name' => 'idEstacion',
                'value' => ($model->idEstacion0 !== null) ? $model->idEstacion0 . ' ' : null,
                'type' => 'html',
            ),
            array(
                'name' => 'PotenciaDiurna',
                'value' => $model->PotenciaDiurna . ' kW',
            ),
            array(
                'name' => 'PotenciaNocturna',
                'value' => $model->PotenciaNocturna . ' kW',
            ),
            array(
                'name' => 'AlturaAntena',
                'value' => $model->AlturaAntena . ' Mts',
            ),
            array(
                'name' => 'LongitudRadiales',
                'value' => $model->LongitudRadiales . ' Mts',
            ),
            'NumeroRadiales',
            'Impedancia',
            'TipoAntena',
            'Multiplex',
            /*array(
            'name'=>'AntenaMarca',
            'value'=>$model->AntenaMarca,
        ),
        array(
            'name'=>'AntenaModelo',
            'value'=>$model->AntenaModelo,
        ),
        array(
            'name'=>'GananciaAntenaPotencia',
            'value'=>$model->GananciaAntenaPotencia,
        ),
        array(
            'name'=>'GananciaAntenaDB',
            'value'=>$model->GananciaAntenaDB,
        ),
        array(
            'name'=>'LineaTransmisionMarca',
            'value'=>$model->LineaTransmisionMarca,
        ),
        array(
            'name'=>'LineaTransmisionModelo',
            'value'=>$model->LineaTransmisionModelo,
        ),
        array(
            'name'=>'LineaTransmisionMetros',
            'value'=>$model->LineaTransmisionMetros,
        ),
        array(
            'name'=>'PerdidaLineaPorcentaje',
            'value'=>$model->PerdidaLineaPorcentaje,
        ),
        array(
            'name'=>'PerdidaLineaDb',
            'value'=>$model->PerdidaLineaDb,
        ),
        array(
            'name'=>'AsnmMetros',
            'value'=>$model->AsnmMetros,
        ),*/
        ),
    ));
    ?>



<?php
    $losarchivos = new Archivos('search');
    $losarchivos->idRelacionado = $model->id;
    $losarchivos->tipo = "areatecnicaam";
    $this->widget('bootstrap.widgets.TbGridView', array(
        'dataProvider' => $losarchivos->search(),
        //'filter'=>$losarchivos,
        'summaryText'=>'Archivos adjuntos <i class="icon-folder-open"></i>',
        'emptyText' => '',
        'type' => 'striped',
        'enableSorting' => false,
        'enablePagination' => false,
        'showTableOnEmpty' => false,
        'htmlOptions' => array('class' => 'archivos span6 offset2'),
        'columns' => array(
            array(
                'name' => 'titulo',
                'header' => 'Titulo',
                'type' => 'raw',
                'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicaam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
            ),
            array(
                'name' => 'descripcion',
                'header' => 'Descripci0100070000n',
                'type' => 'raw',
                'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicaam_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
            ),
            array(
                'class' => 'bootstrap.widgets.TbButtonColumn',
                'template' => '{delete}',
                'buttons' => array
                    (
                    'view' => array
                        (
                        'label' => 'Descargar',
                        'icon' => 'eye-open',
                        'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."areatecnicaam_".$data->idRelacionado."/".$data->source',
                        'options' => array('target' => '_blank'),
                    ),
                    'delete' => array
                        (
                        'label' => 'Eliminar',
                        'icon' => 'trash',
                        'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                        'options' => array('class' => 'eliminar-archivo'),
                    ),
                ), //buttons
            ), //array
        ), //columns
    )); //widget
?>
</fieldset>