<div class="form">
    <?php /** @var CalendarioDescanso $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'calendario-descanso-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    
    Yii::app()->clientScript->registerCoreScript('jquery.ui', CClientScript::POS_HEAD);
    
    $diasInhabiles = CalendarioDescanso::model()->findAll();
    $disabledDays = '';
    $disabledDaysT = '';
    foreach ($diasInhabiles as $dia){
        if($disabledDays==''){
            $disabledDays .= '[';
            $disabledDays .= '"'.date("Y",strtotime($dia->Fecha)).'-'.date("n",strtotime($dia->Fecha)).'-'.date("d",strtotime($dia->Fecha)).'"';
        }else{
            $disabledDays .= ', "'.date("Y",strtotime($dia->Fecha)).'-'.date("n",strtotime($dia->Fecha)).'-'.date("d",strtotime($dia->Fecha)).'"';
        }
        $disabledDaysT .= 'disabledDaysT["'.date("Y",strtotime($dia->Fecha)).'-'.date("n",strtotime($dia->Fecha)).'-'.date("d",strtotime($dia->Fecha)).'"]="'.$dia->Razon.'";';
    }
    if(!$disabledDays==''){
        $disabledDays .= ']';
    }else{
        $disabledDays .= 'Array';
    }
    Yii::app()->clientScript->registerScript(
                'cofetel-formulario-create', 
                '
    
                /* create an array of days which need to be disabled */
                var disabledDays = '.$disabledDays.';
                var disabledDaysT = Array;
                '.$disabledDaysT.'

                /* utility functions */
                function nationalDays(date) {
                        var m = date.getMonth(), d = date.getDate(), y = date.getFullYear();
                        for (i = 0; i < disabledDays.length; i++) {
                                if($.inArray(y + "-" + (m+1) + "-" + d,disabledDays) != -1) {
                                        return [false, "clase", disabledDaysT[y + "-" + (m+1) + "-" + d]];
                                }
                        }

                        return [true];
                }
                function noWeekendsOrHolidays(date) {
                        var noWeekend = jQuery.datepicker.noWeekends(date);
                        console.log(date+" - "+noWeekend[0])
                        return noWeekend[0] ? nationalDays(date) : noWeekend[0];
                }
            ');
    
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                            <?php //echo $form->textFieldRow($model, 'Fecha', array('class' => 'span5')) ?>
                            <label for="CalendarioDescanso_Fecha">Fecha</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            //'name'=>'Fecha',
                            'attribute'=>'Fecha',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'minDate'=>'js:new Date(2013, 01 - 1, 25)',
                                'dateFormat'=>'yy-mm-dd',
                                'beforeShowDay'=>'js:noWeekendsOrHolidays',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>
                        <?php echo $form->textFieldRow($model, 'Razon', array('class' => 'span5', 'maxlength' => 225)) ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
</div>