<div class="form">
    <?php /** @var DocumentacionTecnicaFM $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'documentacion-tecnica-fm-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    
    if(!$model->isNewRecord){
        Yii::app()->clientScript->registerScript('documentaciontecnicafm-formulario-update', "
        
        
        
        $('#typeahead').val($('#DocumentacionTecnicaFM_idEstacion option:selected').text());
        

        ");
    }else{
        Yii::app()->clientScript->registerScript('documentaciontecnicafm-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#DocumentacionTecnicaFM_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                        <?php
                        /*
                        $estaciones = Estaciones::model()->findAll();
                        $estaciones_array = array();
                        $siglas = array();
                        echo "<script type='text/javascript'>
                            var estaciones = new Array();";
                        foreach ($estaciones as $estacion){
                            $estaciones_array[$estacion->Siglas]=$estacion->idEstacion;
                            echo "estaciones[\"".$estacion->Siglas."\"]=".$estacion->idEstacion.";";
                            array_push($siglas,$estacion->Siglas);
                        }
                        echo "</script>";
                        ?>
                        <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'),'style'=>'display:none')) ?>
                        
                        <?php $this->widget('bootstrap.widgets.TbTypeahead', array(
                        'name'=>'typeahead',
                        'htmlOptions'=>array('autocomplete'=>'off'),
                        'options'=>array(
                            'source'=>$siglas,
                            'items'=>15,
                            'updater'=> "js:function (item) {
                                selectedState = item;
                                //alert(estaciones[item]);
                                
                                $('#DocumentacionTecnicaFM_idEstacion option').eq(estaciones[item]).attr('selected',true);
                                
                                return item;
                            }",
                            'matcher'=>"js:function(item) {
                                return ~item.toLowerCase().indexOf(this.query.toLowerCase());
                            }",
                        ),
                    )); ?>
                         * 
                         */
                        
                        if($model->isNewRecord){
                                echo $form->hiddenField($model, 'idEstacion', array('value'=>$estacion->idEstacion));
                            }else{
                                echo $form->hiddenField($model, 'idEstacion');
                            }
                        
                        ?>
    
                        <?php //echo $form->textFieldRow($model, 'ParteTecnica', array('class' => 'span5', 'maxlength' => 10)) ?>
                        <?php echo $form->dropDownListRow($model, 'ParteTecnica', array("CTE-FM-I"=>"Características Técnicas del Equipo – I","CTE-FM-II"=>"Características Técnicas del Equipo – II","CTE-FM-III"=>"Características Técnicas del Equipo – III","AS-FM"=>"Área de Servicio","PU-FM"=>"Plano de Ubicación","PCE-FM"=>"Prueba de Comportamiento del Equipo","COM-FM"=>"Croquis de Operación Múltiplex"),array('prompt' => Yii::t('AweApp', 'None'))) ?>
                        <?php echo $form->textFieldRow($model, 'PresentacionEscrito', array('class' => 'span5', 'maxlength' => 45)) ?>
                        <?php //echo $form->datepickerRow($model, 'PresentacionFecha', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <label for="DocumentacionTecnicaFM_PresentacionFecha">Fecha de presentación</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'attribute'=>'PresentacionFecha',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>
                        <?php echo $form->textFieldRow($model, 'SctOficio', array('class' => 'span5', 'maxlength' => 45)) ?>
                        <?php //echo $form->datepickerRow($model, 'SctFecha', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <label for="DocumentacionTecnicaFM_SctFecha">Fecha de registro en Ifetel</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'attribute'=>'SctFecha',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
    <?php
        if(!$model->isNewRecord){
            $losarchivos = new Archivos('search');
            $losarchivos->idRelacionado = $model->id;
            $losarchivos->tipo = "documentaciontecnicafm";
            $this->widget('bootstrap.widgets.TbGridView', array(
                'dataProvider'=>$losarchivos->search(),
                //'filter'=>$losarchivos,
                'summaryText'=>'Archivos adjuntos',
                'emptyText' => '',
                'type'=>'striped',
                'enableSorting' => false,
                'enablePagination' => false,
                'showTableOnEmpty' => false,
                'columns'=>array(
                    
                    array(
                        'name' => 'titulo',
                        'header' => 'Titulo',
                        'type' => 'raw',
                        'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."documentaciontecnicafm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                     ),
                    array(
                        'name' => 'descripcion',
                        'header' => 'Descripción',
                        'type' => 'raw',
                        'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."documentaciontecnicafm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                     ),
                    array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{delete}',
                        'buttons'=>array
                        (
                            'view' => array
                            (
                                'label'=>'Descargar',
                                'icon' => 'eye-open',
                                'url'=>'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."documentaciontecnicafm_".$data->idRelacionado."/".$data->source',
                                'options'=>array('target'=>'_blank'),
                            ),
                            'delete' => array
                            (
                                'label'=>'Eliminar',
                                'icon' => 'trash',
                                'url'=>'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                                'options'=>array('class'=>'eliminar-archivo'),
                            ),
                        ),//buttons
                    ),//array
                ),//columns
            ));//widget
            
        }
    
    ?>
</div>