<div class="form">
    <?php /** @var Estaciones $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'estaciones-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    Yii::app()->clientScript->registerCoreScript('jquery.ui', CClientScript::POS_HEAD);
    Yii::app()->clientScript->registerScript('estaciones-formulario', "
    $('.banda-combo').click(function(){
           $('#Estaciones_Banda').val($(this).text()); 
    });
    
    $('#Estaciones_Siglas').blur(function(){
        $('#Estaciones_Siglas').val($('#Estaciones_Siglas').val().toUpperCase());
    });
    
    ");
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>
        
    <?php echo $form->errorSummary($model) ?>

                        <?php echo $form->dropDownListRow($model, 'idPlaza', CHtml::listData(Plazas::model()->findAll(), 'idPlaza', Plazas::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'))) ?>
                        <?php /*echo $form->dropDownListRow($model, 'idEstacionMaster', CHtml::listData(EstacionesMaster::model()->findAll(), 'idEstacionMaster', EstacionesMaster::representingColumn()) ,array('empty'=>'Elíge',
                                'ajax'=>array
                                    (
                                        'url' => CController::createUrl('estaciones/estacionnombre'),   //only if you want an action here
                                        'type' => 'get',
                                        'data' =>  array
                                        (
                                            'id' => 'js:$(this).val()',
                                        ),
                                        'update' => '#siglas_info',   //or any other jQuery selector
                                    ),
                                )); */?>
                        <?php echo $form->dropDownListRow($model, 'idEstado', CHtml::listData(Estados::model()->findAll(), 'idEstado', Estados::representingColumn()) ,array('empty'=>'Elíge')); ?>
    <div id="siglas_info"></div>
                        <?php echo $form->textFieldRow($model, 'RazonSocial', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Siglas', array('class' => 'span5', 'maxlength' => 45)) ?>
                        <?php echo $form->textFieldRow($model, 'Empresa', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Combo', array('class' => 'span5', 'maxlength' => 10)) ?>
                        <?php echo $form->textFieldRow($model, 'Frecuencia', array('class' => 'span5', 'maxlength' => 45)) ?>
                        <?php echo $form->textFieldRow($model, 'CiudadPrincipalServir', array('class' => 'span5', 'maxlength' => 45)) ?>
                        <?php echo $form->textAreaRow($model, 'PlantaTransmisoraEmergente', array('rows'=>6, 'cols'=>50, 'class'=>'span5')) ?>
                        <label for="Estaciones_Banda">Banda</label>
                        <?php echo $form->hiddenField($model, 'Banda') ?>
                        <?php $this->widget('bootstrap.widgets.TbButtonGroup', array(
                            'type' => 'primary',
                            'toggle' => 'radio', // 'checkbox' or 'radio'
                            
                            'buttons' => array(
                                array('label'=>'AM','htmlOptions'=>array('class'=>'banda-combo'),'active'=>$model->Banda=="AM" ? true : false),
                                array('label'=>'FM','htmlOptions'=>array('class'=>'banda-combo'),'active'=>$model->Banda=="FM" ? true : false),
                                array('label'=>'CB','htmlOptions'=>array('class'=>'banda-combo'),'active'=>$model->Banda=="CB" ? true : false),
                            ),
                        )); ?>
                        <?php //echo $form->dropDownListRow($model, 'idEstado', CHtml::listData(Estados::model()->findAll(), 'idEstado', Estados::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'))) ?>                        
                        <?php //echo $form->textFieldRow($model, 'Poblacion', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textAreaRow($model,'UbicacionEstudios',array('rows'=>6, 'cols'=>50, 'class'=>'span5')) ?>
                        <?php echo $form->textFieldRow($model, 'CoordenadasEstudios', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textAreaRow($model,'UbicacionEstudiosAuxiliares',array('rows'=>6, 'cols'=>50, 'class'=>'span5')) ?>
                        <?php echo $form->textFieldRow($model, 'CoordenadasEstudiosAuxiliares', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textAreaRow($model,'UbicacionPlanta',array('rows'=>6, 'cols'=>50, 'class'=>'span5')) ?>
                        <?php echo $form->textFieldRow($model, 'CoordenadasPlanta', array('class' => 'span5', 'maxlength' => 255)) ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
    
    
    <?php
    if(!$model->isNewRecord){
            $losarchivos = new Archivos('search');
            $losarchivos->idRelacionado = $model->idEstacion;
            $losarchivos->tipo = "estacion";
            $this->widget('bootstrap.widgets.TbGridView', array(
                'dataProvider'=>$losarchivos->search(),
                //'filter'=>$losarchivos,
                'summaryText'=>'Archivos adjuntos',
                'emptyText' => '',
                'type'=>'striped',
                'enableSorting' => false,
                'enablePagination' => false,
                'showTableOnEmpty' => false,
                'columns'=>array(
                    
                    array(
                        'name' => 'descripcion',
                        'header' => 'Descripción',
                        'type' => 'raw',
                        'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."estacion_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                     ),
                    array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{delete}',
                        'buttons'=>array
                        (
                            'view' => array
                            (
                                'label'=>'Descargar',
                                'icon' => 'eye-open',
                                'url'=>'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."estacion_".$data->idRelacionado."/".$data->source',
                                'options'=>array('target'=>'_blank'),
                            ),
                            'delete' => array
                            (
                                'label'=>'Eliminar',
                                'icon' => 'trash',
                                'url'=>'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                                'options'=>array('class'=>'eliminar-archivo'),
                            ),
                        ),//buttons
                    ),//array
                ),//columns
            ));//widget
            
    }
            
    
           ?>
    
</div>