<?php /** @var Estaciones $model */

$this->breadcrumbs=array(
	'Estaciones'=>array('admin'),
	Yii::t('AweCrud.app', 'Manage'),
);

$this->menu=array(
	//array('label' => Yii::t('AweCrud.app', 'List') . ' ' . Estaciones::label(2), 'icon' => 'list', 'url' => array('index')),
	array('label' => Yii::t('AweCrud.app', 'Create') . ' Estaciones', 'icon' => 'plus', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('estaciones-grid', {
		data: $(this).serialize()
	});
	return false;
});

");
?>

<fieldset>
    <legend class="titulo-naranja"><?php echo Yii::t('AweCrud.app', 'Manage') ?> <?php echo Estaciones::label(2) ?></legend>

<?php //echo CHtml::link('<i class="icon-search"></i> ' . Yii::t('AweCrud.app', 'Advanced Search'), '#', array('class' => 'search-button btn')) ?>
<!--<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'estaciones-grid',
    'type'=>'striped bordered condensed',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'idEstacion',
        //'Concesionaria',
    	'RazonSocial',
        'Siglas',
        'Empresa',
        //'Frecuencia',
        'Banda',
        array(
            'name' => 'Frecuencia',
            'value' => '($data->Banda=="AM") ? $data->Frecuencia." Khz" : $data->Frecuencia." Mhz"',
        ),
        //'Combo',
        //'CiudadPrincipalServir',
        array(
                    'name' => 'idPlaza',
                    'value' => 'isset($data->idPlaza0) ? $data->idPlaza0 : null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(array('order'=>'Nombre')), 'idPlaza', Plazas::representingColumn()),
                ),
        /*array(
                    'name' => 'EstadoSearch',
                    'value' => 'isset($data->idEstacionMasters->idPlaza0->estado) ? $data->idEstacionMasters->idPlaza0->estado : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(array('order'=>'Estado')), 'idEstado', Estados::representingColumn()),
                ),*/
        //array( 'name'=>'idEstado', 'value'=>'$data->idEstado0->Estado'),
        //array( 'name'=>'SiglasSearch', 'value'=>'$data->idEstacionMasters->Siglas' ),
        
        //'RazonSocial',
        //array( 'name'=>'RazonSocialSearch', 'value'=>'$data->idEstacionMasters->RazonSocial' ),
        
        
        /*array(
                    'name' => 'BandaSearch',
                    'value' => 'isset($data->idEstacionMasters->Banda) ? $data->idEstacionMasters->Banda : null',
                    'filter' => array("AM"=>"AM","FM"=>"FM","CB"=>"CB"),
                ),
        */
        array(
                    'name' => 'idEstado',
                    'value' => 'isset($data->idEstado0) ? $data->idEstado0 : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(), 'idEstado', Estados::representingColumn()),
                ),
        //'Poblacion',
        //'UbicacionEstudios',
        //'CoordenadasEstudios',
        //'UbicacionPlanta',
        //'CoordenadasPlanta',
        
		array(
                        'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{view}{update}',
                        /*'buttons'=>array(
                            'frecuenciaenlace' => array(
                                'label'=>'Frecuencia de Enlace',     // text label of the button
                                'icon'=>'frecuenciaenlace',
                                'url'=>'Yii::app()->createUrl("frecuenciaenlace/create", array("id"=>$data->idEstacion))',       // a PHP expression for generating the URL of the button
                                'imageUrl'=>false,  // image URL of the button. If not set or false, a text link is used
                                'options'=>array('title'=>'Agregar Frecuencia de Enlace','rel'=>'tooltip'), // HTML options for the button tag
                                
                            ),
                        ),
                         * 
                         */
		),
	),
    
    
)); ?>
</fieldset>