<?php /** @var Observaciones $model */
$this->breadcrumbs=array(
	'Observaciones'=>array('index'),
	Yii::t('AweCrud.app', 'Manage'),
);

$this->menu=array(
	array('label' => Yii::t('AweCrud.app', 'List') . ' ' . Observaciones::label(2), 'icon' => 'list', 'url' => array('index')),
	array('label' => Yii::t('AweCrud.app', 'Create') . ' Observaciones', 'icon' => 'plus', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('observaciones-grid', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<fieldset>
    <legend>
         <?php echo Observaciones::label(2) ?>    </legend>



<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'observaciones-grid',
    'type' => 'striped condensed',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'id',
        //'idEstacion',
        array(
                    'name' => 'PlazaSearch',
                    'value' => 'isset($data->idEstacion0->idPlaza) ? $data->idEstacion0->idPlaza0->Nombre: null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(), 'idPlaza', 'Nombre'),
                ),
        'Fecha',
        'Prioridad',
        'Observacion',
        'PlazoInterno',
        /*
        'Status',
        'Timestamp',
        */
        /*
		array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
		),
         * 
         */
	),
)); ?>
</fieldset>