<div class="form">
    <?php /** @var FallasEquipoTecnico $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'fallas-equipo-tecnico-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                            <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'))) ?>
                        <?php echo $form->textFieldRow($model, 'Equipo', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Uso', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textAreaRow($model,'TipoFalla',array('rows'=>6, 'cols'=>50, 'class'=>'span8')) ?>
                        <?php //echo $form->datePickerRow($model, 'FechaDesperfecto', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <label for="FallasEquipoTecnico_FechaDesperfecto">Fecha Desperfecto</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'name'=>'FechaDesperfecto',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>
                        <?php //echo $form->datepickerRow($model, 'FechaCompostura', array('prepend'=>'<i class="icon-calendar"></i>')) ?>
                        <label for="FallasEquipoTecnico_FechaCompostura">Fecha Compostura</label><i class="icon-calendar"></i>
                        <?php 
                        $this->widget('zii.widgets.jui.CJuiDatePicker',array(
                            'model'=>$model,
                            'name'=>'FechaCompostura',
                            // additional javascript options for the date picker plugin
                            'options'=>array(
                                'showAnim'=>'fold',
                                'dateFormat'=>'yy-mm-dd',
                            ),
                            'htmlOptions'=>array(
                                'style'=>'height:20px;'
                            ),
                        ));
                        ?>
                        <?php echo $form->textAreaRow($model,'Observaciones',array('rows'=>6, 'cols'=>50, 'class'=>'span8')) ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
</div>