<div class="form">
    <?php
    /** @var FrecuenciaEnlace $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
        'id' => 'frecuencia-enlace-form',
        'enableAjaxValidation' => true,
        'enableClientValidation' => false,
    ));
    Yii::app()->clientScript->registerCoreScript('jquery.ui', CClientScript::POS_HEAD);
    Yii::app()->clientScript->registerScript('frecuenciaenlace-formulario', "
    $('.tipo-combo').click(function(){
           $('#FrecuenciaEnlace_Tipo').val($(this).text()); 
    });
    
    

    ");

    if (!$model->isNewRecord) {
        Yii::app()->clientScript->registerScript('frecuenciaenlace-formulario-update', "
        
        
        
        $('#typeahead').val($('#FrecuenciaEnlace_idEstacion option:selected').text());
        

        ");
    } else {
        Yii::app()->clientScript->registerScript('frecuenciaenlace-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#FrecuenciaEnlace_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

    <?php
    /*
      if($model->isNewRecord){
      $estaciones = Estaciones::model()->findAll();
      $estaciones_array = array();
      $siglas = array();
      echo "<script type='text/javascript'>
      var estaciones = new Array();";
      foreach ($estaciones as $estacion){
      $estaciones_array[$estacion->Siglas]=$estacion->idEstacion;
      echo "estaciones[\"".$estacion->Siglas."\"]=".$estacion->idEstacion.";";
      array_push($siglas,$estacion->Siglas);
      }
      echo "</script>";
      ?>
      <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'),'style'=>'display:none')) ?>

      <?php $this->widget('bootstrap.widgets.TbTypeahead', array(
      'name'=>'typeahead',
      'htmlOptions'=>array('autocomplete'=>'off'),
      'options'=>array(
      'source'=>$siglas,
      'items'=>15,
      'updater'=> "js:function (item) {
      selectedState = item;
      //alert(estaciones[item]);

      $('#FrecuenciaEnlace_idEstacion option').eq(estaciones[item]).attr('selected',true);

      return item;
      }",
      'matcher'=>"js:function(item) {
      return ~item.toLowerCase().indexOf(this.query.toLowerCase());
      }",
      ),
      ));
     * 
     */

    if ($model->isNewRecord) {
        echo $form->hiddenField($model, 'idEstacion', array('value' => $estacion->idEstacion));
    } else {
        echo $form->hiddenField($model, 'idEstacion');
    }
    ?>

    <?php //echo $form->textFieldRow($model, 'Tipo', array('class' => 'span5', 'maxlength' => 2))  ?>
    <label for="FrecuenciaEnlace_Tipo">Tipo <a href="#" rel="tooltip" title="Seleccione el Tipo: Enlace Estudio Planta (EP) o Control Remoto (CR)"><i class="icon-pregunta"></i></a></label>
    <?php echo $form->hiddenField($model, 'Tipo') ?>
    <?php
    $this->widget('bootstrap.widgets.TbButtonGroup', array(
        'type' => 'primary',
        'toggle' => 'radio', // 'checkbox' or 'radio'
        'buttons' => array(
            array('label' => 'EP', 'htmlOptions' => array('class' => 'tipo-combo'), 'active' => $model->Tipo == "EP" ? true : false),
            array('label' => 'CR', 'htmlOptions' => array('class' => 'tipo-combo'), 'active' => $model->Tipo == "CR" ? true : false),
        ),
    ));
    ?>

    <?php
    //if($estacion->Frecuencia>200){
    echo $form->textFieldRow($model, 'Frecuencia', array('class' => ''));
    //}else{
    //echo $form->textFieldRow($model, 'Frecuencia', array('class' => '','append'=>'Khz'));
    //}
    ?>
    <?php echo $form->textFieldRow($model, 'OficioAutorizacion', array()) ?>
    <div class="form-actions">
    <?php
    $this->widget('bootstrap.widgets.TbButton', array(
        'buttonType' => 'submit',
        'type' => 'primary',
        'label' => $model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
    ));
    ?>

        <?php
        $this->widget('bootstrap.widgets.TbButton', array(
            //'buttonType'=>'submit',
            'label' => Yii::t('AweCrud.app', 'Cancel'),
            'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
        ));
        ?>
    </div>


    <?php
    if (!$model->isNewRecord) {
        if (count($model->frecuenciaEnlaceAnioses) > 0) {
            ?>
            <div class="form-actions">
                <h5>Años pagados</h5>
                <?php
                foreach ($model->frecuenciaEnlaceAnioses as $anios) {
                    $this->widget('bootstrap.widgets.TbButton', array(
                        'label' => $anios->Anio . ' <i class="icon-ban-circle icon-white"></i> ',
                        'encodeLabel' => false,
                        'buttonType' => 'ajaxButton',
                        'ajaxOptions' => array(
                            'type' => 'post',
                            'beforeSend' => "function(data){
                                               //alert($('#boton" . $anios->id . "').attr('id'));
                                            }",
                            'success' => "function(data)
                                                {
                                                    if (data.status == 'failure')
                                                    {
                                                        alert('Ocurrio un error al eliminar el año, intenta nuevamente');
                                                    }
                                                    else
                                                    {
                                                        $('#boton" . $anios->id . "').remove();
                                                    }

                                                } ",
                        ),
                        'htmlOptions' => array(
                            'id' => 'boton' . $anios->id,
                        ),
                        'url' => Yii::app()->createUrl('frecuenciaenlaceanios/delete', array('id' => $anios->id)),
                        'type' => 'primary', // null, 'primary', 'info', 'success', 'warning', 'danger' or 'inverse'
                        'size' => 'mini', // null, 'large', 'small' or 'mini'
                    ));
                    echo ' ';
                }
                ?>


            </div>
            <?php
        }
    }
    ?>



    <?php $this->endWidget(); ?>
    <?php
    if (!$model->isNewRecord) {
        $losarchivos = new Archivos('search');
        $losarchivos->idRelacionado = $model->idFrecuenciaEnlace;
        $losarchivos->tipo = "frecuenciaenlace";
        $this->widget('bootstrap.widgets.TbGridView', array(
            'dataProvider' => $losarchivos->search(),
            //'filter'=>$losarchivos,
            'summaryText' => 'Archivos adjuntos',
            'emptyText' => '',
            'type' => 'striped',
            'enableSorting' => false,
            'enablePagination' => false,
            'showTableOnEmpty' => false,
            'columns' => array(
                array(
                    'name' => 'titulo',
                    'header' => 'Titulo',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."frecuenciaenlace_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'name' => 'descripcion',
                    'header' => 'Descripción',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."frecuenciaenlace_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'class' => 'bootstrap.widgets.TbButtonColumn',
                    'template' => '{delete}',
                    'buttons' => array
                        (
                        'view' => array
                            (
                            'label' => 'Descargar',
                            'icon' => 'eye-open',
                            'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."frecuenciaenlace_".$data->idRelacionado."/".$data->source',
                            'options' => array('target' => '_blank'),
                        ),
                        'delete' => array
                            (
                            'label' => 'Eliminar',
                            'icon' => 'trash',
                            'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                            'options' => array('class' => 'eliminar-archivo'),
                        ),
                    ), //buttons
                ), //array
            ), //columns
        )); //widget
    }
    ?>
</div>