<?php /** @var FrecuenciaEnlace $model */
$this->breadcrumbs=array(
	'Frecuencia de Enlace'=>array('index'),
	Yii::t('AweCrud.app', 'Manage'),
);

$this->menu=array(
	//array('label' => Yii::t('AweCrud.app', 'List') . ' ' . FrecuenciaEnlace::label(2), 'icon' => 'list', 'url' => array('index')),
	array('label' => Yii::t('AweCrud.app', 'Create') . ' '. FrecuenciaEnlace::label(2), 'icon' => 'plus', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$.fn.yiiGridView.update('frecuencia-enlace-grid', {
		data: $(this).serialize()
	});
	return false;
});
");

?>

<fieldset>
    <legend>
        <?php echo Yii::t('AweCrud.app', 'Manage') ?> <?php echo FrecuenciaEnlace::label(2) ?>    </legend>

<?php echo CHtml::link('<i class="icon-search"></i> ' . Yii::t('AweCrud.app', 'Advanced Search'), '#', array('class' => 'search-button btn')) ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model' => $model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'frecuencia-enlace-grid',
    'type' => 'striped condensed',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        //'idFrecuenciaEnlace',
        array(
                    'name' => 'idEstacion',
                    'value' => 'isset($data->idEstacion0) ? $data->idEstacion0 : null',
                    'filter' => CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()),
                ),
        array(
                    'name' => 'Tipo',
                    'value' => 'isset($data->Tipo) ? $data->Tipo : null',
                    'filter' => array("EP"=>"EP","CR"=>"CR"),
                ),
        'Frecuencia',
        'OficioAutorizacion',
        array(
                    'header'=>'Años pagados',
                    'value'=> array($model,'renderAnios'),
        ),
		array(
			'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{anios}{update}{delete}',
                        'buttons'=>array(
                            'anios' => array(
                                'label'=>'Años pagados',     // text label of the button
                                'icon'=>'anios',
                                'url'=>'Yii::app()->createUrl("frecuenciaenlaceanios/create", array("id"=>$data->idFrecuenciaEnlace))',       // a PHP expression for generating the URL of the button
                                'imageUrl'=>false,  // image URL of the button. If not set or false, a text link is used
                                'options'=>array('title'=>'Agregar Años','rel'=>'tooltip'), // HTML options for the button tag
                                
                            ),
                        ),
		),
	),
)); ?>
</fieldset>