<?php /* @var $this Controller */ ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="en" />

        <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/styles.css" />

	<title><?php echo CHtml::encode($this->pageTitle); ?></title>

	<?php //Yii::app()->bootstrap->register(); ?>
</head>

<body>
    <div class="container" id="page">
    

<?php

$this->widget('bootstrap.widgets.TbNavbar',array(
    'brand'=>'Ingeniería',
    'fixed'=>false,
    
    'items'=>array(
        array(
            'class'=>'bootstrap.widgets.TbMenu',
            'type'=>'pills',
            'items'=>array(
                array('label'=>'Menu', 'url'=>array('/estaciones/admin'),'items'=>array(
                    array('label'=>'Estaciones', 'url'=>array('/estaciones/admin')),
                    array('label'=>'Agregar Estacion', 'url'=>array('/estaciones/create')),
                    array('label'=>'Calendario', 'url'=>array('/calendariodescanso/admin')),
                    array('label'=>'Años pagados de frecuencias de enlace', 'url'=>array('/frecuenciaenlace/anios')),
                    array('label'=>'Plazas', 'url'=>array('#'),'items'=>array(
                        array('label'=>'Agregar plaza', 'url'=>array('/plazas/create')),
                        array('label'=>'Todas', 'url'=>array('/plazas/admin')), 
                    )),
                )),
                /*
                array('label'=>'Área Técnica', 'url'=>array('/estaciones/admin', 'view'=>'about'),'items'=>array(
                    array('label'=>'Frecuencia de enlace', 'url'=>array('/frecuenciaenlace/create'),'items'=>array(
                        array('label'=>'Administrar', 'url'=>array('/frecuenciaenlace/admin')),
                        //array('label'=>'Años pagados', 'url'=>array('/frecuenciaenlaceanios/create')), 
                    )),
                    array('label'=>'Cofetel', 'url'=>array('/cofetel/admin'),'items'=>array(
                        array('label'=>'Agregar', 'url'=>array('/cofetel/create')),
                        array('label'=>'Todos', 'url'=>array('/cofetel/admin')),
                    )),
                    '---',
                    array('label'=>'CATALOGOS (AM)'),                    
                    array('label'=>'Area técnica', 'url'=>array('/areatecnicaam/create')),
                    array('label'=>'Documentación técnica', 'url'=>array('/documentaciontecnicaam/create')),
                    array('label'=>'Acreditación Doc. técnica', 'url'=>array('/acreditaciondocumentaciontecnicaam/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisoresam/create')),
                    '---',
                    array('label'=>'CATALOGOS (FM)'),                    
                    array('label'=>'Area técnica', 'url'=>array('/areatecnicafm/create')),
                    array('label'=>'Documentación técnica', 'url'=>array('/documentaciontecnicafm/create')),
                    array('label'=>'Acreditación Doc. técnica', 'url'=>array('/acreditaciondocumentaciontecnicafm/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisoresfm/create')),
                )),
                array('label'=>'Representantes Legales', 'url'=>array('/representanteslegales/admin'),'items'=>array(
                    array('label'=>'Todos', 'url'=>array('/representanteslegales/admin')),
                    array('label'=>'Agregar', 'url'=>array('/representanteslegales/create')),
                )),
                array('label'=>'Seguros', 'url'=>array('/seguros/admin'),'items'=>array(
                    array('label'=>'Todos', 'url'=>array('/seguros/admin')),
                    array('label'=>'Agregar', 'url'=>array('/seguros/create')),
                )),
                array('label'=>'Control y Seguimiento', 'url'=>array('#'),'items'=>array(
                    array('label'=>'Inventario', 'url'=>array('/controlinventario/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisores/create')),
                    array('label'=>'Equipo de medicion', 'url'=>array('/equipomedicion/create')),
                    array('label'=>'Torres e iluminación', 'url'=>array('/torresiluminacion/create')),
                    array('label'=>'Equipo de enlace', 'url'=>array('/equipoenlace/create')),
                    array('label'=>'Control de peritaje', 'url'=>array('/peritaje/create')),
                    array('label'=>'Fallas en equipo técnico', 'url'=>array('/fallasequipotecnico/create')),
                )),
                 * 
                 */
                //array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
                //array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)
            ),
        ),
    ),
)); ?>



	<?php if(isset($this->breadcrumbs)):?>
		<?php $this->widget('bootstrap.widgets.TbBreadcrumbs', array(
			'links'=>$this->breadcrumbs,
		)); ?><!-- breadcrumbs -->
	<?php endif?>

	<?php echo $content; ?>

	<div class="clear"></div>

	<div id="footer" style="margin-top: 20px">
		
	</div><!-- footer -->

</div><!-- page -->

</body>
</html>
