<?php
Yii::app()->clientScript->registerScript('search', "
    
    $('.exportar-excel').click(function(){
	$('.form2').submit();
	return false;
    });

");
?>

<fieldset>
    <legend>
        Reporte <?php echo TransmisoresAM::label(2) ?>    </legend>

<form class="form2" target="_blank" method="GET">
    <input type="submit" value="submit" style="display:none" />
    <input type="hidden" name="r" value="reportes/transmisoresam" />
    <input type="hidden" name="export" value="export" />

<?php
if($production=="export"){

    $this->widget('application.components.widgets.tlbExcelView', array(
        'id'                   => 'some-grid',
        'dataProvider'         => $model->search(),
        'grid_mode'            => $production, // Same usage as EExcelView v0.33
        //'template'           => "{summary}\n{items}\n{exportbuttons}\n{pager}",
        'title'                => 'Radiorama - Reporte de Transmisores AM ' . date('d-m-Y - H-i-s'),
        'creator'              => 'Radiorama',
        'subject'              => mb_convert_encoding('Reporte de Estaciones: ' . utf8_encode(strftime('%e %B %Y')), 'ISO-8859-1', 'UTF-8'),
        'description'          => mb_convert_encoding('Reporte de Estaciones.', 'ISO-8859-1', 'UTF-8'),
        'lastModifiedBy'       => 'Radiorama',
        'sheetTitle'           => 'Generado ' . date('m-d-Y H-i'),
        'keywords'             => '',
        'category'             => '',
        'landscapeDisplay'     => true, // Default: false
        'A4'                   => true, // Default: false - ie : Letter (PHPExcel default)
        'RTL'                  => false, // Default: false - since v1.1
        'pageFooterText'       => '&RThis is page no. &P of &N pages', // Default: '&RPage &P of &N'
        'automaticSum'         => true, // Default: false
        'decimalSeparator'     => ',', // Default: '.'
        'thousandsSeparator'   => '.', // Default: ','
        //'displayZeros'       => false,
        //'zeroPlaceholder'    => '-',
        'sumLabel'             => 'Column totals:', // Default: 'Totals'
        //'borderColor'          => '00FF00', // Default: '000000'
        //'bgColor'              => 'FFFFFF', // Default: 'FFFFFF'
        //'textColor'            => 'FF0000', // Default: '000000'
        'rowHeight'            => 45, // Default: 15
        'headerBorderColor'    => 'FF0000', // Default: '000000'
        'headerBgColor'        => 'CCCCCC', // Default: 'CCCCCC'
        'headerTextColor'      => '0000FF', // Default: '000000'
        'headerHeight'         => 10, // Default: 20
        //'footerBorderColor'    => '0000FF', // Default: '000000'
        //'footerBgColor'        => '00FFCC', // Default: 'FFFFCC'
        //'footerTextColor'      => 'FF00FF', // Default: '0000FF'
        'footerHeight'         => 50, // Default: 20
        'columns' => array(
        //'id',
        /*array(
                    'name' => 'idEstacion',
                    'value' => 'isset($data->idEstacion0) ? $data->idEstacion0 : null',
                    'filter' => CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()),
                ),*/
        array(
                    'name' => 'PlazaSearch',
                    'value' => 'isset($data->idEstacion0->idPlaza) ? $data->idEstacion0->idPlaza0->Nombre: null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(), 'idPlaza', 'Nombre'),
                ),
        array(
                    'name' => 'EstadoSearch',
                    'value' => 'isset($data->idEstacion0->idEstado0) ? $data->idEstacion0->idEstado0->Estado : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(), 'idEstado', 'Estado'),
                ),
        array(
            'header'=>'Siglas',
            'value'=>'$data->idEstacion0->Siglas',
        ),
        array(
            'header'=>'Frecuencia',
            'value'=>'($data->idEstacion0->Banda=="AM")?$data->idEstacion0->Frecuencia." Khz":$data->idEstacion0->Frecuencia." Mhz"',
        ),
        'Modalidad',
        'Marca',
        'Modelo',
        'Serie',
        array(
            'name'=>'PotenciaDiurna',
            'value'=>'$data->PotenciaDiurna." Kw"',
            ),
        array(
            'name'=>'PotenciaNocturna',
            'value'=>'$data->PotenciaNocturna." Kw"',
            ),
        array (
            'name'=>'TensionDiurna',
            'value'=>'$data->TensionDiurna." V"',
            ),
        array(
            'name'=>'CorrienteDiurna',
            'value'=>'$data->CorrienteDiurna." A"',
            ),
        array(
        'name'=>'EficienciaDiurna',
            'value'=>'$data->EficienciaDiurna ." %"',
            ),
        array (
            'name'=>'TensionNocturna',
            'value'=>'$data->TensionNocturna." V"',
            ),
        array(
            'name'=>'CorrienteNocturna',
            'value'=>'$data->CorrienteNocturna." A"',
            ),
        array(
        'name'=>'EficienciaNocturna',
            'value'=>'$data->EficienciaNocturna ." %"',
           ),
            
            
        
        
	),
    )); 

}
?>
    
<?php $this->widget('bootstrap.widgets.TbGridView',array(
    'id' => 'transmisores-am-grid',
    'type' => 'striped condensed',
    'dataProvider' => $model->search(),
    'afterAjaxUpdate'=>'function(id, data){
            $(".exportar-excel").click(function(){
                $(".form2").submit();
                return false;
            });
        }',
    'summaryText' => '<a class="exportar-excel" href="#">Exportar a Excel</a> Página {page} de {pages}, Desplegando {start}-{end} de {count} Transmisores AM',
    'filter' => $model,
    'columns' => array(
        //'id',
        /*array(
                    'name' => 'idEstacion',
                    'value' => 'isset($data->idEstacion0) ? $data->idEstacion0 : null',
                    'filter' => CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()),
                ),*/
        array(
                    'name' => 'PlazaSearch',
                    'value' => 'isset($data->idEstacion0->idPlaza) ? $data->idEstacion0->idPlaza0->Nombre: null',
                    'filter' => CHtml::listData(Plazas::model()->findAll(), 'idPlaza', 'Nombre'),
                ),
        array(
                    'name' => 'EstadoSearch',
                    'value' => 'isset($data->idEstacion0->idEstado0) ? $data->idEstacion0->idEstado0->Estado : null',
                    'filter' => CHtml::listData(Estados::model()->findAll(), 'idEstado', 'Estado'),
                ),
        array(
            'header'=>'Siglas',
            'value'=>'$data->idEstacion0->Siglas',
        ),
        array(
            'header'=>'Frecuencia',
            'value'=>'($data->idEstacion0->Banda=="AM")?$data->idEstacion0->Frecuencia." Khz":$data->idEstacion0->Frecuencia." Mhz"',
        ),
        'Modalidad',
        'Marca',
        'Modelo',
        'Serie',
        array(
            'name'=>'PotenciaDiurna',
            'value'=>'$data->PotenciaDiurna." Kw"',
            ),
        array(
            'name'=>'PotenciaNocturna',
            'value'=>'$data->PotenciaNocturna." Kw"',
            ),
        array (
            'name'=>'TensionDiurna',
            'value'=>'$data->TensionDiurna." V"',
            ),
        array(
            'name'=>'CorrienteDiurna',
            'value'=>'$data->CorrienteDiurna." A"',
            ),
        array(
        'name'=>'EficienciaDiurna',
            'value'=>'$data->EficienciaDiurna ." %"',
            ),
        array (
            'name'=>'TensionNocturna',
            'value'=>'$data->TensionNocturna." V"',
            ),
        array(
            'name'=>'CorrienteNocturna',
            'value'=>'$data->CorrienteNocturna." A"',
            ),
        array(
        'name'=>'EficienciaNocturna',
            'value'=>'$data->EficienciaNocturna ." %"',
           ),
            
            array(
                        'class'=>'bootstrap.widgets.TbButtonColumn',
                        'template'=>'{pdf}',
                        'buttons'=>array(
                            'pdf' => array(
                                'label'=>' &nbsp;&nbsp;&nbsp; PDF &nbsp;&nbsp;&nbsp; ',     // text label of the button
                                'icon'=>'icon-file-alt',
                                'url'=>'Yii::app()->createUrl("reportes/transmisoresampdf", array("id"=>$data->id))',       // a PHP expression for generating the URL of the button
                                
                                //'imageUrl'=>true,  // image URL of the button. If not set or false, a text link is used
                                'options'=>array('target'=>'_blank','title'=>'Generar reporte en PDF','rel'=>'tooltip'), // HTML options for the button tag
                                
                            ),
                            'excel' => array(
                                'label'=>' EXCEL ',     // text label of the button
                                'icon'=>'icon-table',
                                'url'=>'Yii::app()->createUrl("reportes/excel", array("id"=>$data->idEstacion))',       // a PHP expression for generating the URL of the button
                                //'imageUrl'=>true,  // image URL of the button. If not set or false, a text link is used
                                'options'=>array('target'=>'_blank','title'=>'Generar reporte en Excel','rel'=>'tooltip'), // HTML options for the button tag
                                
                            ),
                        )                                                 
		),
        
        
	),
)); ?>
    
</form>    
    
</fieldset>