<div class="form">
    <?php /** @var RepresentantesLegales $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'representantes-legales-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    
    if(!$model->isNewRecord){
        Yii::app()->clientScript->registerScript('representanteslegales-formulario-update', "
        
        
        
        $('#typeahead').val($('#RepresentantesLegales_idEstacion option:selected').text());
        

        ");
    }else{
        Yii::app()->clientScript->registerScript('representanteslegales-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#RepresentantesLegales_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                        <?php
                        /*
                        $estaciones = Estaciones::model()->findAll();
                        $estaciones_array = array();
                        $siglas = array();
                        echo "<script type='text/javascript'>
                            var estaciones = new Array();";
                        foreach ($estaciones as $estacion){
                            $estaciones_array[$estacion->Siglas]=$estacion->idEstacion;
                            echo "estaciones[\"".$estacion->Siglas."\"]=".$estacion->idEstacion.";";
                            array_push($siglas,$estacion->Siglas);
                        }
                        echo "</script>";
                        ?>
                        <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'),'style'=>'display:none')) ?>
                        
                        <?php $this->widget('bootstrap.widgets.TbTypeahead', array(
                        'name'=>'typeahead',
                        'htmlOptions'=>array('autocomplete'=>'off'),
                        'options'=>array(
                            'source'=>$siglas,
                            'items'=>15,
                            'updater'=> "js:function (item) {
                                selectedState = item;
                                //alert(estaciones[item]);
                                
                                $('#RepresentantesLegales_idEstacion option').eq(estaciones[item]).attr('selected',true);
                                
                                return item;
                            }",
                            'matcher'=>"js:function(item) {
                                return ~item.toLowerCase().indexOf(this.query.toLowerCase());
                            }",
                        ),
                    )); ?>
                         * 
                         */
                        if($model->isNewRecord){
                            echo $form->hiddenField($model, 'idEstacion', array('value'=>$estacion->idEstacion));
                        }else{
                            echo $form->hiddenField($model, 'idEstacion');
                        }
                        ?>
                        <?php echo $form->textFieldRow($model, 'Nombre', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Cargo', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textAreaRow($model,'LocalizacionTelefonos',array('rows'=>6, 'cols'=>50, 'class'=>'span8')) ?>
                        <?php echo $form->textAreaRow($model,'Observaciones',array('rows'=>6, 'cols'=>50, 'class'=>'span8')) ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
</div>