<div class="form">
    <?php /** @var TransmisoresFM $model */
    /** @var AweActiveForm $form */
    $form = $this->beginWidget('ext.AweCrud.components.AweActiveForm', array(
    'id' => 'transmisores-fm-form',
    'enableAjaxValidation' => true,
    'enableClientValidation'=> false,
    )); 
    
    if(!$model->isNewRecord){
        Yii::app()->clientScript->registerScript('transmisoresfm-formulario-update', "
        
        
        
        $('#typeahead').val($('#TransmisoresFM_idEstacion option:selected').text());
        

        ");
    }else{
        Yii::app()->clientScript->registerScript('transmisoresfm-formulario-create', "
        $('#typeahead').blur(function(){
           $('#typeahead').val($('#typeahead').val().toUpperCase());
           $('#TransmisoresFM_idEstacion option').eq(estaciones[$('#typeahead').val().toUpperCase()]).attr('selected',true);
           
        });
        

        ");
    }
    
    ?>

    <p class="note">
        <?php echo Yii::t('AweCrud.app', 'Fields with') ?> <span class="required">*</span>
        <?php echo Yii::t('AweCrud.app', 'are required') ?>.    </p>

    <?php echo $form->errorSummary($model) ?>

                        <?php
                        /*
                        $estaciones = Estaciones::model()->findAll();
                        $estaciones_array = array();
                        $siglas = array();
                        echo "<script type='text/javascript'>
                            var estaciones = new Array();";
                        foreach ($estaciones as $estacion){
                            $estaciones_array[$estacion->Siglas]=$estacion->idEstacion;
                            echo "estaciones[\"".$estacion->Siglas."\"]=".$estacion->idEstacion.";";
                            array_push($siglas,$estacion->Siglas);
                        }
                        echo "</script>";
                        ?>
                        <?php echo $form->dropDownListRow($model, 'idEstacion', CHtml::listData(Estaciones::model()->findAll(), 'idEstacion', Estaciones::representingColumn()), array('prompt' => Yii::t('AweApp', 'None'),'style'=>'display:none')) ?>
                        
                        <?php $this->widget('bootstrap.widgets.TbTypeahead', array(
                        'name'=>'typeahead',
                        'htmlOptions'=>array('autocomplete'=>'off'),
                        'options'=>array(
                            'source'=>$siglas,
                            'items'=>15,
                            'updater'=> "js:function (item) {
                                selectedState = item;
                                //alert(estaciones[item]);
                                
                                $('#TransmisoresFM_idEstacion option').eq(estaciones[item]).attr('selected',true);
                                
                                return item;
                            }",
                            'matcher'=>"js:function(item) {
                                return ~item.toLowerCase().indexOf(this.query.toLowerCase());
                            }",
                        ),
                    )); ?>
                         * 
                         */
                        if($model->isNewRecord){
                            echo $form->hiddenField($model, 'idEstacion', array('value'=>$estacion->idEstacion));
                        }else{
                            echo $form->hiddenField($model, 'idEstacion');
                        }
                        ?>
                        <?php echo $form->textFieldRow($model, 'Modalidad', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Marca', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Modelo', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Serie', array('class' => 'span5', 'maxlength' => 255)) ?>
                        <?php echo $form->textFieldRow($model, 'Potencia', array('class' => '','append'=>'kW')) ?>
                        <?php echo $form->textFieldRow($model, 'Tension', array('class' => '','append'=>'V')) ?>
                        <?php echo $form->textFieldRow($model, 'Corriente', array('class' => '','append'=>'A')) ?>
                        <?php echo $form->textFieldRow($model, 'Eficiencia', array('class' => '','append'=>'%')) ?>
                        <?php echo $form->textAreaRow($model, 'Condicion', array('class' => 'span5')) ?>
                        <?php echo $form->textAreaRow($model, 'Observaciones', array('class' => 'span5')) ?>
                        <?php echo $form->textFieldRow($model, 'RegistroCofetel', array('class' => 'span5')) ?>
                <div class="form-actions">
                <?php $this->widget('bootstrap.widgets.TbButton', array(
			'buttonType'=>'submit',
			'type'=>'primary',
			'label'=>$model->isNewRecord ? Yii::t('AweCrud.app', 'Create') : Yii::t('AweCrud.app', 'Save'),
		)); ?>
        <?php $this->widget('bootstrap.widgets.TbButton', array(
			//'buttonType'=>'submit',
			'label'=> Yii::t('AweCrud.app', 'Cancel'),
			'htmlOptions' => array('onclick' => 'javascript:history.go(-1)')
		)); ?>
    </div>

    <?php $this->endWidget(); ?>
    
<?php
    if (!$model->isNewRecord) {
        $losarchivos = new Archivos('search');
        $losarchivos->idRelacionado = $model->id;
        $losarchivos->tipo = "transmisoresfm";
        $this->widget('bootstrap.widgets.TbGridView', array(
            'dataProvider' => $losarchivos->search(),
            //'filter'=>$losarchivos,
            'summaryText' => 'Archivos adjuntos',
            'emptyText' => '',
            'type' => 'striped',
            'enableSorting' => false,
            'enablePagination' => false,
            'showTableOnEmpty' => false,
            'columns' => array(
                array(
                    'name' => 'titulo',
                    'header' => 'Titulo',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->titulo, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'name' => 'descripcion',
                    'header' => 'Descripción',
                    'type' => 'raw',
                    'value' => 'CHtml::link($data->descripcion, Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source, array("target"=>"_blank"))'
                ),
                array(
                    'class' => 'bootstrap.widgets.TbButtonColumn',
                    'template' => '{delete}',
                    'buttons' => array
                        (
                        'view' => array
                            (
                            'label' => 'Descargar',
                            'icon' => 'eye-open',
                            'url' => 'Yii::app()->getBaseUrl().Yii::app()->params["imagenes"]."transmisoresfm_".$data->idRelacionado."/".$data->source',
                            'options' => array('target' => '_blank'),
                        ),
                        'delete' => array
                            (
                            'label' => 'Eliminar',
                            'icon' => 'trash',
                            'url' => 'Yii::app()->createUrl("archivos/delete", array("id"=>$data->id))',
                            'options' => array('class' => 'eliminar-archivo'),
                        ),
                    ), //buttons
                ), //array
            ), //columns
        )); //widget
    }
?>
    
</div>