<?php /* @var $this Controller */ ?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="language" content="en" />

        <title><?php echo CHtml::encode($this->pageTitle); ?></title>

	<?php Yii::app()->bootstrap->register(); ?>
        
        <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/yeti.css" />
        <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/styles.css" />
        <link rel="stylesheet" type="text/css" href="<?php echo Yii::app()->theme->baseUrl; ?>/css/animaciones.css" />
        
</head>

<body>

    <div class="container-fluid" id="page">
    
        
    
        <div class="row-fluid">
            <div class="span12">
                <!-- <div class="encabezado-home">
                    <div class="row-fluid">
                        <div class="span4">
                            <div class="logo">Ingeniería</div>
                        </div>
                        <div class="span8">
                            <div class="menu">
                                <ul>
                                    <li class="amarillo">
                                        <a href="#"><i class="icon-home icon-large"></i></a>
                                        <ul class="dropdown-menu menu-desplegable pull-right">
                                            <li>AAAA</li>
                                        </ul>
                                    
                                    </li>
                                    <li class="naranja"><a href="#"><i class="icon-warning-sign icon-animated-vertical icon-large"></i><span class="badge badge-inverse">4</span></a></li>
                                    <li class="azul"><a href="#"><i class="icon-envelope-alt icon-animated-vertical icon-large"></i><span class="badge badge-inverse">3</span></a></li>
                                    <li class="gris"><a href="#"><i class="icon-cogs icon-large"></i></a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div> -->
             
    
    
    
        <?php

$this->widget('bootstrap.widgets.TbNavbar',array(
    'brand'=>'',
    'fixed'=>false,
    
    'items'=>array(
        array(
            'class'=>'bootstrap.widgets.TbMenu',
            'type'=>'pills',
            'items'=>array(
                array('label'=>'Estaciones', 'url'=>array('/estaciones/admin')),
                array('label'=>'Agregar estacion', 'url'=>array('/estaciones/create')),
                array('label'=>'Reportes', 'url'=>array('/reportes/index'),'items'=>array(
                    array('label'=>'Estaciones', 'url'=>array('/reportes/index')),
                    array('label'=>'Transmisores AM', 'url'=>array('/reportes/transmisoresam')),
                    array('label'=>'Transmisores FM', 'url'=>array('/reportes/transmisoresfm')),
                    array('label'=>'Observaciones', 'url'=>array('/estaciones/robservaciones')),
                    array('label'=>'ifetel', 'url'=>array('/reportes/ifetel')),
                    
                    //array('label'=>'Años pagados de frecuencias de enlace', 'url'=>array('/frecuenciaenlace/anios')),
                    
                )),
                array('label'=>'Catalogos', 'url'=>array('#'),'items'=>array(
                    array('label'=>'Plazas', 'url'=>array('#'),'items'=>array(
                        array('label'=>'Agregar plaza', 'url'=>array('/plazas/create')),
                        array('label'=>'Todas', 'url'=>array('/plazas/admin')), 
                    )),
                    array('label'=>'Estados', 'url'=>array('/estados/admin'),'items'=>array(
                        array('label'=>'Agregar estado', 'url'=>array('/estados/create')),
                        array('label'=>'Todos', 'url'=>array('/estados/admin')), 
                    )),
                    array('label'=>'Calendario', 'url'=>array('/calendarioDescanso/admin'),'items'=>array(
                        array('label'=>'Agregar fecha', 'url'=>array('/calendarioDescanso/create')),
                        array('label'=>'Todas', 'url'=>array('/calendarioDescanso/admin')), 
                    )),
                    //array('label'=>'Años pagados de frecuencias de enlace', 'url'=>array('/frecuenciaenlace/anios')),
                    
                )),
                /*
                array('label'=>'Área Técnica', 'url'=>array('/estaciones/admin', 'view'=>'about'),'items'=>array(
                    array('label'=>'Frecuencia de enlace', 'url'=>array('/frecuenciaenlace/create'),'items'=>array(
                        array('label'=>'Administrar', 'url'=>array('/frecuenciaenlace/admin')),
                        //array('label'=>'Años pagados', 'url'=>array('/frecuenciaenlaceanios/create')), 
                    )),
                    array('label'=>'Cofetel', 'url'=>array('/cofetel/admin'),'items'=>array(
                        array('label'=>'Agregar', 'url'=>array('/cofetel/create')),
                        array('label'=>'Todos', 'url'=>array('/cofetel/admin')),
                    )),
                    '---',
                    array('label'=>'CATALOGOS (AM)'),                    
                    array('label'=>'Area técnica', 'url'=>array('/areatecnicaam/create')),
                    array('label'=>'Documentación técnica', 'url'=>array('/documentaciontecnicaam/create')),
                    array('label'=>'Acreditación Doc. técnica', 'url'=>array('/acreditaciondocumentaciontecnicaam/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisoresam/create')),
                    '---',
                    array('label'=>'CATALOGOS (FM)'),                    
                    array('label'=>'Area técnica', 'url'=>array('/areatecnicafm/create')),
                    array('label'=>'Documentación técnica', 'url'=>array('/documentaciontecnicafm/create')),
                    array('label'=>'Acreditación Doc. técnica', 'url'=>array('/acreditaciondocumentaciontecnicafm/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisoresfm/create')),
                )),
                array('label'=>'Representantes Legales', 'url'=>array('/representanteslegales/admin'),'items'=>array(
                    array('label'=>'Todos', 'url'=>array('/representanteslegales/admin')),
                    array('label'=>'Agregar', 'url'=>array('/representanteslegales/create')),
                )),
                array('label'=>'Seguros', 'url'=>array('/seguros/admin'),'items'=>array(
                    array('label'=>'Todos', 'url'=>array('/seguros/admin')),
                    array('label'=>'Agregar', 'url'=>array('/seguros/create')),
                )),
                array('label'=>'Control y Seguimiento', 'url'=>array('#'),'items'=>array(
                    array('label'=>'Inventario', 'url'=>array('/controlinventario/create')),
                    array('label'=>'Transmisores', 'url'=>array('/transmisores/create')),
                    array('label'=>'Equipo de medicion', 'url'=>array('/equipomedicion/create')),
                    array('label'=>'Torres e iluminación', 'url'=>array('/torresiluminacion/create')),
                    array('label'=>'Equipo de enlace', 'url'=>array('/equipoenlace/create')),
                    array('label'=>'Control de peritaje', 'url'=>array('/peritaje/create')),
                    array('label'=>'Fallas en equipo técnico', 'url'=>array('/fallasequipotecnico/create')),
                )),
                 * 
                 */
                //array('label'=>'Login', 'url'=>array('/site/login'), 'visible'=>Yii::app()->user->isGuest),
                //array('label'=>'Logout ('.Yii::app()->user->name.')', 'url'=>array('/site/logout'), 'visible'=>!Yii::app()->user->isGuest)
            ),
        ),
    ),
)); ?>

	<?php if(isset($this->breadcrumbs)):?>
		<?php $this->widget('bootstrap.widgets.TbBreadcrumbs', array(
			'links'=>$this->breadcrumbs,
		)); ?><!-- breadcrumbs -->
	<?php endif ?>

	</div>
                
            
        </div>
	
	<?php echo $content; ?>

        <div class="row-fluid">
            <div class="span12">
                <div id="footer" class="azul">
                        &copy; <?php echo date('Y'); ?> Radiorama.<br/>
                </div><!-- footer -->
            </div>
        
        </div>

</div><!-- page -->

</body>
</html>
